--------------------------------------------------------------------------------
LIBRARY IEEE;
USE IEEE.Std_Logic_1164.all;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ENTITY Configurable_U106 IS
  PORT(
      I0_B : IN std_logic_vector(7 downto 0);
      I1_B : IN std_logic_vector(5 downto 0);
      I2 : IN std_logic;
      I3 : IN std_logic;
      I4 : IN std_logic;
      I5 : IN std_logic;
      I6 : IN std_logic;
      I7 : IN std_logic;
      I8 : IN std_logic;
      I9 : IN std_logic;
      I10_B : IN std_logic_vector(9 downto 0);
      O : OUT std_logic_vector(31 downto 0)
  );
END Configurable_U106;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ARCHITECTURE structure OF Configurable_U106 IS
BEGIN
    O(0) <= I0_B(0);
    O(1) <= I0_B(1);
    O(2) <= I0_B(2);
    O(3) <= I0_B(3);
    O(4) <= I0_B(4);
    O(5) <= I0_B(5);
    O(6) <= I0_B(6);
    O(7) <= I0_B(7);
    O(8) <= I1_B(0);
    O(9) <= I1_B(1);
    O(10) <= I1_B(2);
    O(11) <= I1_B(3);
    O(12) <= I1_B(4);
    O(13) <= I1_B(5);
    O(14) <= I2;
    O(15) <= I3;
    O(16) <= I4;
    O(17) <= I5;
    O(18) <= I6;
    O(19) <= I7;
    O(20) <= I8;
    O(21) <= I9;
    O(22) <= I10_B(0);
    O(23) <= I10_B(1);
    O(24) <= I10_B(2);
    O(25) <= I10_B(3);
    O(26) <= I10_B(4);
    O(27) <= I10_B(5);
    O(28) <= I10_B(6);
    O(29) <= I10_B(7);
    O(30) <= I10_B(8);
    O(31) <= I10_B(9);
END structure;
--------------------------------------------------------------------------------
