------------------------------------------------------------
-- VHDL FPGAIrigB2
-- 2016 5 5 10 28 11
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 15.1.15.50867
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAIrigB2
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity FPGAIrigB2 Is
  port
  (
    X_1PPS_LONG   : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPS_LONG
    X_1PPS_PARITY : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPS_PARITY
    X_1PPSIN      : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPSIN
    X_1PPSOUT     : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPSOUT
    A             : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=A[31..0]
    ADDR          : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=ADDR[31..0]
    B             : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=B[31..0]
    CLK           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=CLK
    CNT           : Out   STD_LOGIC_VECTOR(25 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=CNT[25..0]
    CNTROUT       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=CNTROUT
    CRCERR        : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);      -- ObjectKind=Port|PrimaryId=CRCERR[7..0]
    ERRC          : Out   STD_LOGIC_VECTOR(3 DOWNTO 0);      -- ObjectKind=Port|PrimaryId=ERRC[3..0]
    GPS           : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=GPS[31..0]
    INVSYNC       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=INVSYNC
    LED           : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=LED
    LEDSYNC       : In    STD_LOGIC_VECTOR(3 DOWNTO 0);      -- ObjectKind=Port|PrimaryId=LEDSYNC[3..0]
    LOS           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=LOS
    PWRSYNC       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PWRSYNC
    RST           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=RST
    STAT          : In    STD_LOGIC_VECTOR(1023 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=STAT[1023..0]
    SYNCLK        : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SYNCLK
    SYNCOUT       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SYNCOUT
    UP            : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=UP
    VCO_SYNC      : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=VCO_SYNC
    VCO_SYNCIN    : In    STD_LOGIC                          -- ObjectKind=Port|PrimaryId=VCO_SYNCIN
  );
  attribute MacroCell : boolean;

End FPGAIrigB2;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGAIrigB2 Is
   Component AND2N1S                                         -- ObjectKind=Part|PrimaryId=U68|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U68-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U68-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U68-O
      );
   End Component;

   Component AND2S                                           -- ObjectKind=Part|PrimaryId=U92|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U92-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U92-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U92-O
      );
   End Component;

   Component AND3N2S                                         -- ObjectKind=Part|PrimaryId=U93|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U93-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U93-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U93-I2
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U93-O
      );
   End Component;

   Component AND3S                                           -- ObjectKind=Part|PrimaryId=U72|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U72-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U72-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U72-I2
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U72-O
      );
   End Component;

   Component CB4RES                                          -- ObjectKind=Part|PrimaryId=U69|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U69-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U69-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U69-CEO
        Q0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U69-Q0
        Q1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U69-Q1
        Q2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U69-Q2
        Q3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U69-Q3
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U69-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U69-TC
      );
   End Component;

   Component CB4RLES                                         -- ObjectKind=Part|PrimaryId=U76|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U76-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U76-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U76-CEO
        D0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U76-D0
        D1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U76-D1
        D2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U76-D2
        D3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U76-D3
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U76-L
        Q0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U76-Q0
        Q1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U76-Q1
        Q2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U76-Q2
        Q3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U76-Q3
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U76-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U76-TC
      );
   End Component;

   Component CB8REB                                          -- ObjectKind=Part|PrimaryId=U81|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U81-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U81-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U81-CEO
        Q   : out STD_LOGIC_VECTOR(7 downto 0);              -- ObjectKind=Pin|PrimaryId=U81-Q[7..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U81-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U81-TC
      );
   End Component;

   Component CB16CLEDB                                       -- ObjectKind=Part|PrimaryId=U75|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U75-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U75-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U75-CEO
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U75-CLR
        D   : in  STD_LOGIC_VECTOR(15 downto 0);             -- ObjectKind=Pin|PrimaryId=U75-D[15..0]
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U75-L
        Q   : out STD_LOGIC_VECTOR(15 downto 0);             -- ObjectKind=Pin|PrimaryId=U75-Q[15..0]
        TC  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U75-TC
        UP  : in  STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U75-UP
      );
   End Component;

   Component CB16REB                                         -- ObjectKind=Part|PrimaryId=U67|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U67-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U67-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U67-CEO
        Q   : out STD_LOGIC_VECTOR(15 downto 0);             -- ObjectKind=Pin|PrimaryId=U67-Q[15..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U67-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U67-TC
      );
   End Component;

   Component Configurable_U95                                -- ObjectKind=Part|PrimaryId=U95|SecondaryId=1
      port
      (
        I  : in  STD_LOGIC_VECTOR(3 downto 0);               -- ObjectKind=Pin|PrimaryId=U95-I[3..0]
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U95-O0
        O1 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U95-O1
        O2 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U95-O2
        O3 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U95-O3
      );
   End Component;

   Component FD                                              -- ObjectKind=Part|PrimaryId=U85|SecondaryId=1
      port
      (
        C : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U85-C
        D : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U85-D
        Q : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U85-Q
      );
   End Component;

   Component FD2ES                                           -- ObjectKind=Part|PrimaryId=U101x|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U101x-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U101x-CE
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U101x-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U101x-D1
        Q0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U101x-Q0
        Q1 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U101x-Q1
      );
   End Component;

   Component FDC_1                                           -- ObjectKind=Part|PrimaryId=U71|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U71-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U71-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U71-D
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U71-Q
      );
   End Component;

   Component FDCE                                            -- ObjectKind=Part|PrimaryId=U70|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U70-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U70-CE
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U70-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U70-D
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U70-Q
      );
   End Component;

   Component FDE                                             -- ObjectKind=Part|PrimaryId=U74|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U74-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U74-CE
        D  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U74-D
        Q  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U74-Q
      );
   End Component;

   Component FDEN                                            -- ObjectKind=Part|PrimaryId=U66|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U66-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U66-CE
        D  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U66-D
        Q  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U66-Q
        QN : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U66-QN
      );
   End Component;

   Component FJKC                                            -- ObjectKind=Part|PrimaryId=U87|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U87-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U87-CLR
        J   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U87-J
        K   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U87-K
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U87-Q
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U65|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U65-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U65-O
      );
   End Component;

   Component INV2S                                           -- ObjectKind=Part|PrimaryId=U84|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U84-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U84-I1
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U84-O0
        O1 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U84-O1
      );
   End Component;

   Component LinkRcv                                         -- ObjectKind=Sheet Symbol|PrimaryId=U_linkrcv
      port
      (
        A      : out STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-A[31..0]
        ADDR   : out STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-ADDR[31..0]
        B      : out STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-B[31..0]
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CLK
        CRCERR : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CRCERR
        CRCOK  : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CRCOK
        GPS    : out STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-GPS[31..0]
        INA    : in  STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INA[31..0]
        INADDR : in  STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INADDR[31..0]
        INB    : in  STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INB[31..0]
        INGPS  : in  STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INGPS[31..0]
        MI     : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-MI
        RST    : in  STD_LOGIC                               -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-RST
      );
   End Component;

   Component M1_S4S1                                         -- ObjectKind=Part|PrimaryId=U94|SecondaryId=1
      port
      (
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U94-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U94-D1
        D2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U94-D2
        D3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U94-D3
        O  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U94-O
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U94-S0
        S1 : in  STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U94-S1
      );
   End Component;

   Component NAND2S                                          -- ObjectKind=Part|PrimaryId=U99|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U99-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U99-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U99-O
      );
   End Component;

   Component NAND5S                                          -- ObjectKind=Part|PrimaryId=U88|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U88-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U88-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U88-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U88-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U88-I4
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U88-O
      );
   End Component;

   Component NOR5S                                           -- ObjectKind=Part|PrimaryId=U89|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U89-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U89-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U89-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U89-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U89-I4
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U89-O
      );
   End Component;

   Component TimingLink                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_timinglink
      port
      (
        A         : out STD_LOGIC_VECTOR(31 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-A[31..0]
        ADDR      : out STD_LOGIC_VECTOR(31 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-ADDR[31..0]
        B         : out STD_LOGIC_VECTOR(31 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-B[31..0]
        CLK       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-CLK
        GPS       : out STD_LOGIC_VECTOR(31 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-GPS[31..0]
        IN_CE     : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CE
        IN_CRCERR : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CRCERR
        IN_CRCOK  : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CRCOK
        IN_D      : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_D
        IN_DONE   : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_DONE
        IN_START  : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_START
        OUT_CE    : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_CE
        OUT_D     : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_D
        OUT_DONE  : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_DONE
        OUT_START : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_START
        RST       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-RST
        STAT      : in  STD_LOGIC_VECTOR(1023 downto 0)      -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-STAT[1023..0]
      );
   End Component;


    Signal NamedSignal_1PPS                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS
    Signal NamedSignal_1PPSIN               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSIN
    Signal NamedSignal_CLK                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_CLK0ENB              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK0ENB
    Signal NamedSignal_CNT                  : STD_LOGIC_VECTOR(25 downto 0); -- ObjectKind=Net|PrimaryId=CNT[22..0]
    Signal NamedSignal_DM1                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DM1
    Signal NamedSignal_ERC                  : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=ERC[3..0]
    Signal NamedSignal_IN_CE                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CE
    Signal NamedSignal_IN_CRCERR            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CRCERR
    Signal NamedSignal_IN_CRCOK             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CRCOK
    Signal NamedSignal_IN_D                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_D
    Signal NamedSignal_IN_DONE              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_DONE
    Signal NamedSignal_IN_ENB               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_ENB
    Signal NamedSignal_LD2                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LD2
    Signal NamedSignal_LOS                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LOS
    Signal NamedSignal_M1                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=M1
    Signal NamedSignal_N1PPS                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=N1PPS
    Signal NamedSignal_NDO                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDO
    Signal NamedSignal_NDOENB               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDOENB
    Signal NamedSignal_NM1                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NM1
    Signal NamedSignal_ONEUS                : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=ONEUS[15..0]
    Signal NamedSignal_OUT_CE               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_CE
    Signal NamedSignal_OUT_D                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_D
    Signal NamedSignal_Q                    : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=Q[15..0]
    Signal NamedSignal_RST                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST
    Signal NamedSignal_UP                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=UP
    Signal NamedSignal_VCO_SYNCIN           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCO_SYNCIN
    Signal PinSignal_U_linkrcv_A            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=A[31..0]
    Signal PinSignal_U_linkrcv_ADDR         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=ADDR[31..0]
    Signal PinSignal_U_linkrcv_B            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=B[31..0]
    Signal PinSignal_U_linkrcv_GPS          : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=GPS[31..0]
    Signal PinSignal_U_timinglink_A         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INA
    Signal PinSignal_U_timinglink_ADDR      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INADDR
    Signal PinSignal_U_timinglink_B         : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INB
    Signal PinSignal_U_timinglink_GPS       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INGPS
    Signal PinSignal_U_timinglink_IN_CRCERR : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CRCERR
    Signal PinSignal_U_timinglink_IN_CRCOK  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CRCOK
    Signal PinSignal_U_timinglink_IN_DONE   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_DONE
    Signal PinSignal_U_timinglink_OUT_D     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_D
    Signal PinSignal_U_timinglink_OUT_DONE  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_DONE
    Signal PinSignal_U100_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU100_O
    Signal PinSignal_U101x_Q0               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU101x_Q0
    Signal PinSignal_U101x_Q1               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DM1
    Signal PinSignal_U102x_Q                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CE
    Signal PinSignal_U103_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDO
    Signal PinSignal_U104_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU104_O
    Signal PinSignal_U105_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU105_O
    Signal PinSignal_U65_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU65_O
    Signal PinSignal_U66_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=N1PPS
    Signal PinSignal_U66_QN                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS
    Signal PinSignal_U67_Q                  : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=Q[15..0]
    Signal PinSignal_U68_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=M1
    Signal PinSignal_U69_Q0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT0
    Signal PinSignal_U69_Q1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT1
    Signal PinSignal_U69_Q2                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT2
    Signal PinSignal_U70_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU70_Q
    Signal PinSignal_U71_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU65_I
    Signal PinSignal_U72_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK0ENB
    Signal PinSignal_U73_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU73_O
    Signal PinSignal_U74_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU70_D
    Signal PinSignal_U75_TC                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU73_I
    Signal PinSignal_U76_CEO                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU76_CEO
    Signal PinSignal_U76_Q0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT3
    Signal PinSignal_U76_Q1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT4
    Signal PinSignal_U76_Q2                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT5
    Signal PinSignal_U76_Q3                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT6
    Signal PinSignal_U76_TC                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU76_TC
    Signal PinSignal_U77_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_D
    Signal PinSignal_U78_CEO                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU78_CEO
    Signal PinSignal_U78_Q                  : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=CNT[22..0]
    Signal PinSignal_U78_TC                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU78_TC
    Signal PinSignal_U79_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LD2
    Signal PinSignal_U80_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSIN
    Signal PinSignal_U81_Q                  : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=CRCERR[7..0]
    Signal PinSignal_U82_Q0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT23
    Signal PinSignal_U82_Q1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT24
    Signal PinSignal_U82_Q2                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CNT25
    Signal PinSignal_U82_Q3                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU82_Q3
    Signal PinSignal_U83_Q0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERC0
    Signal PinSignal_U83_Q1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERC1
    Signal PinSignal_U83_Q2                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERC2
    Signal PinSignal_U83_Q3                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERC3
    Signal PinSignal_U83_TC                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU83_TC
    Signal PinSignal_U84_O0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU79_CLR
    Signal PinSignal_U84_O1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU83_CE
    Signal PinSignal_U85_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS_PARITY
    Signal PinSignal_U86_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU86_Q
    Signal PinSignal_U87_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_ENB
    Signal PinSignal_U88_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NM1
    Signal PinSignal_U89_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=UP
    Signal PinSignal_U90_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_ENB
    Signal PinSignal_U91_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDOENB
    Signal PinSignal_U92_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU92_O
    Signal PinSignal_U93_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU93_O
    Signal PinSignal_U94_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU94_O
    Signal PinSignal_U95_O0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU95_O0
    Signal PinSignal_U95_O1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU95_O1
    Signal PinSignal_U95_O2                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU95_O2
    Signal PinSignal_U95_O3                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU95_O3
    Signal PinSignal_U96_Q                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_CE
    Signal PinSignal_U97_O0                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU97_O0
    Signal PinSignal_U97_O1                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU97_O1
    Signal PinSignal_U98_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU98_O
    Signal PinSignal_U99_O                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU99_O
    Signal PowerSignal_GND                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    U_timinglink : TimingLink                                -- ObjectKind=Sheet Symbol|PrimaryId=U_timinglink
      Port Map
      (
        A         => PinSignal_U_timinglink_A,               -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-A[31..0]
        ADDR      => PinSignal_U_timinglink_ADDR,            -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-ADDR[31..0]
        B         => PinSignal_U_timinglink_B,               -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-B[31..0]
        CLK       => NamedSignal_CLK,                        -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-CLK
        GPS       => PinSignal_U_timinglink_GPS,             -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-GPS[31..0]
        IN_CE     => NamedSignal_IN_CE,                      -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CE
        IN_CRCERR => PinSignal_U_timinglink_IN_CRCERR,       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CRCERR
        IN_CRCOK  => PinSignal_U_timinglink_IN_CRCOK,        -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_CRCOK
        IN_D      => NamedSignal_IN_D,                       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_D
        IN_DONE   => PinSignal_U_timinglink_IN_DONE,         -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_DONE
        IN_START  => NamedSignal_1PPSIN,                     -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-IN_START
        OUT_CE    => NamedSignal_OUT_CE,                     -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_CE
        OUT_D     => PinSignal_U_timinglink_OUT_D,           -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_D
        OUT_DONE  => PinSignal_U_timinglink_OUT_DONE,        -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_DONE
        OUT_START => NamedSignal_1PPS,                       -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-OUT_START
        RST       => RST,                                    -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-RST
        STAT      => STAT                                    -- ObjectKind=Sheet Entry|PrimaryId=TimingLink.Vhd-STAT[1023..0]
      );

    U_linkrcv : LinkRcv                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_linkrcv
      Port Map
      (
        A      => PinSignal_U_linkrcv_A,                     -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-A[31..0]
        ADDR   => PinSignal_U_linkrcv_ADDR,                  -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-ADDR[31..0]
        B      => PinSignal_U_linkrcv_B,                     -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-B[31..0]
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CLK
        CRCERR => NamedSignal_IN_CRCERR,                     -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CRCERR
        CRCOK  => NamedSignal_IN_CRCOK,                      -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-CRCOK
        GPS    => PinSignal_U_linkrcv_GPS,                   -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-GPS[31..0]
        INA    => PinSignal_U_timinglink_A,                  -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INA[31..0]
        INADDR => PinSignal_U_timinglink_ADDR,               -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INADDR[31..0]
        INB    => PinSignal_U_timinglink_B,                  -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INB[31..0]
        INGPS  => PinSignal_U_timinglink_GPS,                -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-INGPS[31..0]
        MI     => PinSignal_U68_O,                           -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-MI
        RST    => RST                                        -- ObjectKind=Sheet Entry|PrimaryId=LinkRcv.Vhd-RST
      );

    U105 : M1_S4S1                                           -- ObjectKind=Part|PrimaryId=U105|SecondaryId=1
      Port Map
      (
        D0 => PinSignal_U95_O0,                              -- ObjectKind=Pin|PrimaryId=U105-D0
        D1 => PinSignal_U95_O1,                              -- ObjectKind=Pin|PrimaryId=U105-D1
        D2 => PinSignal_U95_O2,                              -- ObjectKind=Pin|PrimaryId=U105-D2
        D3 => PinSignal_U95_O3,                              -- ObjectKind=Pin|PrimaryId=U105-D3
        O  => PinSignal_U105_O,                              -- ObjectKind=Pin|PrimaryId=U105-O
        S0 => NamedSignal_UP,                                -- ObjectKind=Pin|PrimaryId=U105-S0
        S1 => PinSignal_U100_O                               -- ObjectKind=Pin|PrimaryId=U105-S1
      );

    U104 : INV                                               -- ObjectKind=Part|PrimaryId=U104|SecondaryId=1
      Port Map
      (
        I => NamedSignal_CNT(2),                             -- ObjectKind=Pin|PrimaryId=U104-I
        O => PinSignal_U104_O                                -- ObjectKind=Pin|PrimaryId=U104-O
      );

    U103 : AND2S                                             -- ObjectKind=Part|PrimaryId=U103|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U99_O,                               -- ObjectKind=Pin|PrimaryId=U103-I0
        I1 => NamedSignal_NM1,                               -- ObjectKind=Pin|PrimaryId=U103-I1
        O  => PinSignal_U103_O                               -- ObjectKind=Pin|PrimaryId=U103-O
      );

    U102x : FD                                               -- ObjectKind=Part|PrimaryId=U102x|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U102x-C
        D => PinSignal_U98_O,                                -- ObjectKind=Pin|PrimaryId=U102x-D
        Q => PinSignal_U102x_Q                               -- ObjectKind=Pin|PrimaryId=U102x-Q
      );

    U101x : FD2ES                                            -- ObjectKind=Part|PrimaryId=U101x|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U101x-C
        CE => NamedSignal_CNT(0),                            -- ObjectKind=Pin|PrimaryId=U101x-CE
        D0 => PinSignal_U97_O0,                              -- ObjectKind=Pin|PrimaryId=U101x-D0
        D1 => PinSignal_U97_O1,                              -- ObjectKind=Pin|PrimaryId=U101x-D1
        Q0 => PinSignal_U101x_Q0,                            -- ObjectKind=Pin|PrimaryId=U101x-Q0
        Q1 => PinSignal_U101x_Q1                             -- ObjectKind=Pin|PrimaryId=U101x-Q1
      );

    U100 : INV                                               -- ObjectKind=Part|PrimaryId=U100|SecondaryId=1
      Port Map
      (
        I => NamedSignal_LOS,                                -- ObjectKind=Pin|PrimaryId=U100-I
        O => PinSignal_U100_O                                -- ObjectKind=Pin|PrimaryId=U100-O
      );

    U99 : NAND2S                                             -- ObjectKind=Part|PrimaryId=U99|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_OUT_D,                             -- ObjectKind=Pin|PrimaryId=U99-I0
        I1 => NamedSignal_NDOENB,                            -- ObjectKind=Pin|PrimaryId=U99-I1
        O  => PinSignal_U99_O                                -- ObjectKind=Pin|PrimaryId=U99-O
      );

    U98 : AND2S                                              -- ObjectKind=Part|PrimaryId=U98|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U98-I0
        I1 => PinSignal_U93_O,                               -- ObjectKind=Pin|PrimaryId=U98-I1
        O  => PinSignal_U98_O                                -- ObjectKind=Pin|PrimaryId=U98-O
      );

    U97 : INV2S                                              -- ObjectKind=Part|PrimaryId=U97|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U94_O,                               -- ObjectKind=Pin|PrimaryId=U97-I0
        I1 => NamedSignal_NDO,                               -- ObjectKind=Pin|PrimaryId=U97-I1
        O0 => PinSignal_U97_O0,                              -- ObjectKind=Pin|PrimaryId=U97-O0
        O1 => PinSignal_U97_O1                               -- ObjectKind=Pin|PrimaryId=U97-O1
      );

    U96 : FD                                                 -- ObjectKind=Part|PrimaryId=U96|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U96-C
        D => PinSignal_U92_O,                                -- ObjectKind=Pin|PrimaryId=U96-D
        Q => PinSignal_U96_Q                                 -- ObjectKind=Pin|PrimaryId=U96-Q
      );

    U95 : Configurable_U95                                   -- ObjectKind=Part|PrimaryId=U95|SecondaryId=1
      Port Map
      (
        I  => LEDSYNC,                                       -- ObjectKind=Pin|PrimaryId=U95-I[3..0]
        O0 => PinSignal_U95_O0,                              -- ObjectKind=Pin|PrimaryId=U95-O0
        O1 => PinSignal_U95_O1,                              -- ObjectKind=Pin|PrimaryId=U95-O1
        O2 => PinSignal_U95_O2,                              -- ObjectKind=Pin|PrimaryId=U95-O2
        O3 => PinSignal_U95_O3                               -- ObjectKind=Pin|PrimaryId=U95-O3
      );

    U94 : M1_S4S1                                            -- ObjectKind=Part|PrimaryId=U94|SecondaryId=1
      Port Map
      (
        D0 => NamedSignal_DM1,                               -- ObjectKind=Pin|PrimaryId=U94-D0
        D1 => NamedSignal_NDO,                               -- ObjectKind=Pin|PrimaryId=U94-D1
        D2 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U94-D2
        D3 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U94-D3
        O  => PinSignal_U94_O,                               -- ObjectKind=Pin|PrimaryId=U94-O
        S0 => NamedSignal_CNT(1),                            -- ObjectKind=Pin|PrimaryId=U94-S0
        S1 => NamedSignal_CNT(2)                             -- ObjectKind=Pin|PrimaryId=U94-S1
      );

    U93 : AND3N2S                                            -- ObjectKind=Part|PrimaryId=U93|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CNT(4),                            -- ObjectKind=Pin|PrimaryId=U93-I0
        I1 => NamedSignal_CNT(3),                            -- ObjectKind=Pin|PrimaryId=U93-I1
        I2 => PinSignal_U90_Q,                               -- ObjectKind=Pin|PrimaryId=U93-I2
        O  => PinSignal_U93_O                                -- ObjectKind=Pin|PrimaryId=U93-O
      );

    U92 : AND2S                                              -- ObjectKind=Part|PrimaryId=U92|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U92-I0
        I1 => PinSignal_U91_O,                               -- ObjectKind=Pin|PrimaryId=U92-I1
        O  => PinSignal_U92_O                                -- ObjectKind=Pin|PrimaryId=U92-O
      );

    U91 : AND3S                                              -- ObjectKind=Part|PrimaryId=U91|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U87_Q,                               -- ObjectKind=Pin|PrimaryId=U91-I0
        I1 => NamedSignal_CNT(3),                            -- ObjectKind=Pin|PrimaryId=U91-I1
        I2 => NamedSignal_CNT(4),                            -- ObjectKind=Pin|PrimaryId=U91-I2
        O  => PinSignal_U91_O                                -- ObjectKind=Pin|PrimaryId=U91-O
      );

    U90 : FJKC                                               -- ObjectKind=Part|PrimaryId=U90|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U90-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U90-CLR
        J   => PinSignal_U86_Q,                              -- ObjectKind=Pin|PrimaryId=U90-J
        K   => NamedSignal_IN_DONE,                          -- ObjectKind=Pin|PrimaryId=U90-K
        Q   => PinSignal_U90_Q                               -- ObjectKind=Pin|PrimaryId=U90-Q
      );

    U89 : NOR5S                                              -- ObjectKind=Part|PrimaryId=U89|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_LOS,                               -- ObjectKind=Pin|PrimaryId=U89-I0
        I1 => PinSignal_U83_Q0,                              -- ObjectKind=Pin|PrimaryId=U89-I1
        I2 => PinSignal_U83_Q1,                              -- ObjectKind=Pin|PrimaryId=U89-I2
        I3 => PinSignal_U83_Q2,                              -- ObjectKind=Pin|PrimaryId=U89-I3
        I4 => PinSignal_U83_Q3,                              -- ObjectKind=Pin|PrimaryId=U89-I4
        O  => PinSignal_U89_O                                -- ObjectKind=Pin|PrimaryId=U89-O
      );

    U88 : NAND5S                                             -- ObjectKind=Part|PrimaryId=U88|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U82_Q0,                              -- ObjectKind=Pin|PrimaryId=U88-I0
        I1 => PinSignal_U82_Q1,                              -- ObjectKind=Pin|PrimaryId=U88-I1
        I2 => PinSignal_U82_Q2,                              -- ObjectKind=Pin|PrimaryId=U88-I2
        I3 => PinSignal_U78_TC,                              -- ObjectKind=Pin|PrimaryId=U88-I3
        I4 => PinSignal_U76_TC,                              -- ObjectKind=Pin|PrimaryId=U88-I4
        O  => PinSignal_U88_O                                -- ObjectKind=Pin|PrimaryId=U88-O
      );

    U87 : FJKC                                               -- ObjectKind=Part|PrimaryId=U87|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U87-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U87-CLR
        J   => NamedSignal_1PPS,                             -- ObjectKind=Pin|PrimaryId=U87-J
        K   => PinSignal_U_timinglink_OUT_DONE,              -- ObjectKind=Pin|PrimaryId=U87-K
        Q   => PinSignal_U87_Q                               -- ObjectKind=Pin|PrimaryId=U87-Q
      );

    U86 : FDE                                                -- ObjectKind=Part|PrimaryId=U86|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U86-C
        CE => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U86-CE
        D  => NamedSignal_1PPSIN,                            -- ObjectKind=Pin|PrimaryId=U86-D
        Q  => PinSignal_U86_Q                                -- ObjectKind=Pin|PrimaryId=U86-Q
      );

    U85 : FD                                                 -- ObjectKind=Part|PrimaryId=U85|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CNT(25),                            -- ObjectKind=Pin|PrimaryId=U85-C
        D => PinSignal_U82_Q3,                               -- ObjectKind=Pin|PrimaryId=U85-D
        Q => PinSignal_U85_Q                                 -- ObjectKind=Pin|PrimaryId=U85-Q
      );

    U84 : INV2S                                              -- ObjectKind=Part|PrimaryId=U84|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U83_Q3,                              -- ObjectKind=Pin|PrimaryId=U84-I0
        I1 => PinSignal_U83_TC,                              -- ObjectKind=Pin|PrimaryId=U84-I1
        O0 => PinSignal_U84_O0,                              -- ObjectKind=Pin|PrimaryId=U84-O0
        O1 => PinSignal_U84_O1                               -- ObjectKind=Pin|PrimaryId=U84-O1
      );

    U83 : CB4RES                                             -- ObjectKind=Part|PrimaryId=U83|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_N1PPS,                             -- ObjectKind=Pin|PrimaryId=U83-C
        CE => PinSignal_U84_O1,                              -- ObjectKind=Pin|PrimaryId=U83-CE
        Q0 => PinSignal_U83_Q0,                              -- ObjectKind=Pin|PrimaryId=U83-Q0
        Q1 => PinSignal_U83_Q1,                              -- ObjectKind=Pin|PrimaryId=U83-Q1
        Q2 => PinSignal_U83_Q2,                              -- ObjectKind=Pin|PrimaryId=U83-Q2
        Q3 => PinSignal_U83_Q3,                              -- ObjectKind=Pin|PrimaryId=U83-Q3
        R  => NamedSignal_1PPSIN,                            -- ObjectKind=Pin|PrimaryId=U83-R
        TC => PinSignal_U83_TC                               -- ObjectKind=Pin|PrimaryId=U83-TC
      );

    U82 : CB4RES                                             -- ObjectKind=Part|PrimaryId=U82|SecondaryId=1
      Port Map
      (
        C  => CLK,                                           -- ObjectKind=Pin|PrimaryId=U82-C
        CE => PinSignal_U78_CEO,                             -- ObjectKind=Pin|PrimaryId=U82-CE
        Q0 => PinSignal_U82_Q0,                              -- ObjectKind=Pin|PrimaryId=U82-Q0
        Q1 => PinSignal_U82_Q1,                              -- ObjectKind=Pin|PrimaryId=U82-Q1
        Q2 => PinSignal_U82_Q2,                              -- ObjectKind=Pin|PrimaryId=U82-Q2
        Q3 => PinSignal_U82_Q3,                              -- ObjectKind=Pin|PrimaryId=U82-Q3
        R  => NamedSignal_LD2                                -- ObjectKind=Pin|PrimaryId=U82-R
      );

    U81 : CB8REB                                             -- ObjectKind=Part|PrimaryId=U81|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U81-C
        CE => NamedSignal_IN_CRCERR,                         -- ObjectKind=Pin|PrimaryId=U81-CE
        Q  => PinSignal_U81_Q,                               -- ObjectKind=Pin|PrimaryId=U81-Q[7..0]
        R  => NamedSignal_RST                                -- ObjectKind=Pin|PrimaryId=U81-R
      );

    U80 : AND2N1S                                            -- ObjectKind=Part|PrimaryId=U80|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_IN_ENB,                            -- ObjectKind=Pin|PrimaryId=U80-I0
        I1 => PinSignal_U77_Q,                               -- ObjectKind=Pin|PrimaryId=U80-I1
        O  => PinSignal_U80_O                                -- ObjectKind=Pin|PrimaryId=U80-O
      );

    U79 : FDCE                                               -- ObjectKind=Part|PrimaryId=U79|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U79-C
        CE  => NamedSignal_CLK0ENB,                          -- ObjectKind=Pin|PrimaryId=U79-CE
        CLR => PinSignal_U84_O0,                             -- ObjectKind=Pin|PrimaryId=U79-CLR
        D   => NamedSignal_1PPSIN,                           -- ObjectKind=Pin|PrimaryId=U79-D
        Q   => PinSignal_U79_Q                               -- ObjectKind=Pin|PrimaryId=U79-Q
      );

    U78 : CB16REB                                            -- ObjectKind=Part|PrimaryId=U78|SecondaryId=1
      Port Map
      (
        C   => CLK,                                          -- ObjectKind=Pin|PrimaryId=U78-C
        CE  => PinSignal_U76_CEO,                            -- ObjectKind=Pin|PrimaryId=U78-CE
        CEO => PinSignal_U78_CEO,                            -- ObjectKind=Pin|PrimaryId=U78-CEO
        Q   => PinSignal_U78_Q,                              -- ObjectKind=Pin|PrimaryId=U78-Q[15..0]
        R   => NamedSignal_LD2,                              -- ObjectKind=Pin|PrimaryId=U78-R
        TC  => PinSignal_U78_TC                              -- ObjectKind=Pin|PrimaryId=U78-TC
      );

    U77 : FDC_1                                              -- ObjectKind=Part|PrimaryId=U77|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_VCO_SYNCIN,                       -- ObjectKind=Pin|PrimaryId=U77-C
        CLR => LOS,                                          -- ObjectKind=Pin|PrimaryId=U77-CLR
        D   => PinSignal_U74_Q,                              -- ObjectKind=Pin|PrimaryId=U77-D
        Q   => PinSignal_U77_Q                               -- ObjectKind=Pin|PrimaryId=U77-Q
      );

    U76 : CB4RLES                                            -- ObjectKind=Part|PrimaryId=U76|SecondaryId=1
      Port Map
      (
        C   => CLK,                                          -- ObjectKind=Pin|PrimaryId=U76-C
        CE  => PinSignal_U72_O,                              -- ObjectKind=Pin|PrimaryId=U76-CE
        CEO => PinSignal_U76_CEO,                            -- ObjectKind=Pin|PrimaryId=U76-CEO
        D0  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U76-D0
        D1  => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U76-D1
        D2  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U76-D2
        D3  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U76-D3
        L   => NamedSignal_LD2,                              -- ObjectKind=Pin|PrimaryId=U76-L
        Q0  => PinSignal_U76_Q0,                             -- ObjectKind=Pin|PrimaryId=U76-Q0
        Q1  => PinSignal_U76_Q1,                             -- ObjectKind=Pin|PrimaryId=U76-Q1
        Q2  => PinSignal_U76_Q2,                             -- ObjectKind=Pin|PrimaryId=U76-Q2
        Q3  => PinSignal_U76_Q3,                             -- ObjectKind=Pin|PrimaryId=U76-Q3
        R   => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U76-R
        TC  => PinSignal_U76_TC                              -- ObjectKind=Pin|PrimaryId=U76-TC
      );

    U75 : CB16CLEDB                                          -- ObjectKind=Part|PrimaryId=U75|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U75-C
        CE  => PinSignal_U73_O,                              -- ObjectKind=Pin|PrimaryId=U75-CE
        CLR => NamedSignal_RST,                              -- ObjectKind=Pin|PrimaryId=U75-CLR
        D   => NamedSignal_ONEUS,                            -- ObjectKind=Pin|PrimaryId=U75-D[15..0]
        L   => NamedSignal_M1,                               -- ObjectKind=Pin|PrimaryId=U75-L
        TC  => PinSignal_U75_TC,                             -- ObjectKind=Pin|PrimaryId=U75-TC
        UP  => PowerSignal_GND                               -- ObjectKind=Pin|PrimaryId=U75-UP
      );

    U74 : FDE                                                -- ObjectKind=Part|PrimaryId=U74|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U74-C
        CE => NamedSignal_CNT(0),                            -- ObjectKind=Pin|PrimaryId=U74-CE
        D  => PinSignal_U71_Q,                               -- ObjectKind=Pin|PrimaryId=U74-D
        Q  => PinSignal_U74_Q                                -- ObjectKind=Pin|PrimaryId=U74-Q
      );

    U73 : INV                                                -- ObjectKind=Part|PrimaryId=U73|SecondaryId=1
      Port Map
      (
        I => PinSignal_U75_TC,                               -- ObjectKind=Pin|PrimaryId=U73-I
        O => PinSignal_U73_O                                 -- ObjectKind=Pin|PrimaryId=U73-O
      );

    U72 : AND3S                                              -- ObjectKind=Part|PrimaryId=U72|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U69_Q0,                              -- ObjectKind=Pin|PrimaryId=U72-I0
        I1 => PinSignal_U69_Q1,                              -- ObjectKind=Pin|PrimaryId=U72-I1
        I2 => PinSignal_U69_Q2,                              -- ObjectKind=Pin|PrimaryId=U72-I2
        O  => PinSignal_U72_O                                -- ObjectKind=Pin|PrimaryId=U72-O
      );

    U71 : FDC_1                                              -- ObjectKind=Part|PrimaryId=U71|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_VCO_SYNCIN,                       -- ObjectKind=Pin|PrimaryId=U71-C
        CLR => PinSignal_U70_Q,                              -- ObjectKind=Pin|PrimaryId=U71-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U71-D
        Q   => PinSignal_U71_Q                               -- ObjectKind=Pin|PrimaryId=U71-Q
      );

    U70 : FDCE                                               -- ObjectKind=Part|PrimaryId=U70|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U70-C
        CE  => NamedSignal_CNT(0),                           -- ObjectKind=Pin|PrimaryId=U70-CE
        CLR => PinSignal_U65_O,                              -- ObjectKind=Pin|PrimaryId=U70-CLR
        D   => PinSignal_U74_Q,                              -- ObjectKind=Pin|PrimaryId=U70-D
        Q   => PinSignal_U70_Q                               -- ObjectKind=Pin|PrimaryId=U70-Q
      );

    U69 : CB4RES                                             -- ObjectKind=Part|PrimaryId=U69|SecondaryId=1
      Port Map
      (
        C  => CLK,                                           -- ObjectKind=Pin|PrimaryId=U69-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U69-CE
        Q0 => PinSignal_U69_Q0,                              -- ObjectKind=Pin|PrimaryId=U69-Q0
        Q1 => PinSignal_U69_Q1,                              -- ObjectKind=Pin|PrimaryId=U69-Q1
        Q2 => PinSignal_U69_Q2,                              -- ObjectKind=Pin|PrimaryId=U69-Q2
        R  => PowerSignal_GND                                -- ObjectKind=Pin|PrimaryId=U69-R
      );

    U68 : AND2N1S                                            -- ObjectKind=Part|PrimaryId=U68|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_NM1,                               -- ObjectKind=Pin|PrimaryId=U68-I0
        I1 => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U68-I1
        O  => PinSignal_U68_O                                -- ObjectKind=Pin|PrimaryId=U68-O
      );

    U67 : CB16REB                                            -- ObjectKind=Part|PrimaryId=U67|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U67-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U67-CE
        Q  => PinSignal_U67_Q,                               -- ObjectKind=Pin|PrimaryId=U67-Q[15..0]
        R  => PowerSignal_GND                                -- ObjectKind=Pin|PrimaryId=U67-R
      );

    U66 : FDEN                                               -- ObjectKind=Part|PrimaryId=U66|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U66-C
        CE => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U66-CE
        D  => NamedSignal_NM1,                               -- ObjectKind=Pin|PrimaryId=U66-D
        Q  => PinSignal_U66_Q,                               -- ObjectKind=Pin|PrimaryId=U66-Q
        QN => PinSignal_U66_QN                               -- ObjectKind=Pin|PrimaryId=U66-QN
      );

    U65 : INV                                                -- ObjectKind=Part|PrimaryId=U65|SecondaryId=1
      Port Map
      (
        I => PinSignal_U71_Q,                                -- ObjectKind=Pin|PrimaryId=U65-I
        O => PinSignal_U65_O                                 -- ObjectKind=Pin|PrimaryId=U65-O
      );

    -- Signal Assignments
    ---------------------
    A                            <= PinSignal_U_linkrcv_A; -- ObjectKind=Net|PrimaryId=A[31..0]
    ADDR                         <= PinSignal_U_linkrcv_ADDR; -- ObjectKind=Net|PrimaryId=ADDR[31..0]
    B                            <= PinSignal_U_linkrcv_B; -- ObjectKind=Net|PrimaryId=B[31..0]
    CNT                          <= NamedSignal_CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    CNTROUT                      <= PinSignal_U104_O; -- ObjectKind=Net|PrimaryId=NetU104_O
    CRCERR                       <= PinSignal_U81_Q; -- ObjectKind=Net|PrimaryId=CRCERR[7..0]
    ERRC                         <= NamedSignal_ERC; -- ObjectKind=Net|PrimaryId=ERC[3..0]
    GPS                          <= PinSignal_U_linkrcv_GPS; -- ObjectKind=Net|PrimaryId=GPS[31..0]
    INVSYNC                      <= NamedSignal_Q(10); -- ObjectKind=Net|PrimaryId=Q10
    LED                          <= PinSignal_U105_O; -- ObjectKind=Net|PrimaryId=NetU105_O
    NamedSignal_1PPS             <= PinSignal_U66_QN; -- ObjectKind=Net|PrimaryId=1PPS
    NamedSignal_1PPSIN           <= PinSignal_U80_O; -- ObjectKind=Net|PrimaryId=1PPSIN
    NamedSignal_CLK              <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_CLK0ENB          <= PinSignal_U72_O; -- ObjectKind=Net|PrimaryId=CLK0ENB
    NamedSignal_CNT(0)           <= PinSignal_U69_Q0; -- ObjectKind=Net|PrimaryId=CNT0
    NamedSignal_CNT(1)           <= PinSignal_U69_Q1; -- ObjectKind=Net|PrimaryId=CNT1
    NamedSignal_CNT(2)           <= PinSignal_U69_Q2; -- ObjectKind=Net|PrimaryId=CNT2
    NamedSignal_CNT(22 downto 7) <= PinSignal_U78_Q; -- ObjectKind=Net|PrimaryId=CNT[22..0]
    NamedSignal_CNT(23)          <= PinSignal_U82_Q0; -- ObjectKind=Net|PrimaryId=CNT23
    NamedSignal_CNT(24)          <= PinSignal_U82_Q1; -- ObjectKind=Net|PrimaryId=CNT24
    NamedSignal_CNT(25)          <= PinSignal_U82_Q2; -- ObjectKind=Net|PrimaryId=CNT25
    NamedSignal_CNT(3)           <= PinSignal_U76_Q0; -- ObjectKind=Net|PrimaryId=CNT3
    NamedSignal_CNT(4)           <= PinSignal_U76_Q1; -- ObjectKind=Net|PrimaryId=CNT4
    NamedSignal_CNT(5)           <= PinSignal_U76_Q2; -- ObjectKind=Net|PrimaryId=CNT5
    NamedSignal_CNT(6)           <= PinSignal_U76_Q3; -- ObjectKind=Net|PrimaryId=CNT6
    NamedSignal_DM1              <= PinSignal_U101x_Q1; -- ObjectKind=Net|PrimaryId=DM1
    NamedSignal_ERC(0)           <= PinSignal_U83_Q0; -- ObjectKind=Net|PrimaryId=ERC0
    NamedSignal_ERC(1)           <= PinSignal_U83_Q1; -- ObjectKind=Net|PrimaryId=ERC1
    NamedSignal_ERC(2)           <= PinSignal_U83_Q2; -- ObjectKind=Net|PrimaryId=ERC2
    NamedSignal_ERC(3)           <= PinSignal_U83_Q3; -- ObjectKind=Net|PrimaryId=ERC3
    NamedSignal_IN_CE            <= PinSignal_U102x_Q; -- ObjectKind=Net|PrimaryId=IN_CE
    NamedSignal_IN_CRCERR        <= PinSignal_U_timinglink_IN_CRCERR; -- ObjectKind=Net|PrimaryId=IN_CRCERR
    NamedSignal_IN_CRCOK         <= PinSignal_U_timinglink_IN_CRCOK; -- ObjectKind=Net|PrimaryId=IN_CRCOK
    NamedSignal_IN_D             <= PinSignal_U77_Q; -- ObjectKind=Net|PrimaryId=IN_D
    NamedSignal_IN_DONE          <= PinSignal_U_timinglink_IN_DONE; -- ObjectKind=Net|PrimaryId=IN_DONE
    NamedSignal_IN_ENB           <= PinSignal_U90_Q; -- ObjectKind=Net|PrimaryId=IN_ENB
    NamedSignal_LD2              <= PinSignal_U79_Q; -- ObjectKind=Net|PrimaryId=LD2
    NamedSignal_LOS              <= LOS; -- ObjectKind=Net|PrimaryId=LOS
    NamedSignal_M1               <= PinSignal_U68_O; -- ObjectKind=Net|PrimaryId=M1
    NamedSignal_N1PPS            <= PinSignal_U66_Q; -- ObjectKind=Net|PrimaryId=N1PPS
    NamedSignal_NDO              <= PinSignal_U103_O; -- ObjectKind=Net|PrimaryId=NDO
    NamedSignal_NDOENB           <= PinSignal_U91_O; -- ObjectKind=Net|PrimaryId=NDOENB
    NamedSignal_NM1              <= PinSignal_U88_O; -- ObjectKind=Net|PrimaryId=NM1
    NamedSignal_ONEUS            <= "0000001010011111"; -- ObjectKind=Net|PrimaryId=ONEUS[15..0]
    NamedSignal_OUT_CE           <= PinSignal_U96_Q; -- ObjectKind=Net|PrimaryId=OUT_CE
    NamedSignal_OUT_D            <= PinSignal_U_timinglink_OUT_D; -- ObjectKind=Net|PrimaryId=OUT_D
    NamedSignal_Q                <= PinSignal_U67_Q; -- ObjectKind=Net|PrimaryId=Q[15..0]
    NamedSignal_RST              <= RST; -- ObjectKind=Net|PrimaryId=RST
    NamedSignal_UP               <= PinSignal_U89_O; -- ObjectKind=Net|PrimaryId=UP
    NamedSignal_VCO_SYNCIN       <= VCO_SYNCIN; -- ObjectKind=Net|PrimaryId=VCO_SYNCIN
    PowerSignal_GND              <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC              <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    PWRSYNC                      <= NamedSignal_Q(8); -- ObjectKind=Net|PrimaryId=Q8
    SYNCLK                       <= NamedSignal_Q(10); -- ObjectKind=Net|PrimaryId=Q10
    SYNCOUT                      <= PinSignal_U101x_Q0; -- ObjectKind=Net|PrimaryId=NetU101x_Q0
    UP                           <= PinSignal_U89_O; -- ObjectKind=Net|PrimaryId=UP
    VCO_SYNC                     <= VCO_SYNCIN; -- ObjectKind=Net|PrimaryId=VCO_SYNCIN
    X_1PPS_LONG                  <= PinSignal_U73_O; -- ObjectKind=Net|PrimaryId=NetU73_O
    X_1PPS_PARITY                <= PinSignal_U85_Q; -- ObjectKind=Net|PrimaryId=1PPS_PARITY
    X_1PPSIN                     <= NamedSignal_1PPSIN; -- ObjectKind=Net|PrimaryId=1PPSIN
    X_1PPSOUT                    <= PinSignal_U66_QN; -- ObjectKind=Net|PrimaryId=1PPS

End Structure;
------------------------------------------------------------

