------------------------------------------------------------
-- VHDL FPGAIrigB3
-- 2016 5 5 10 28 11
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 15.1.15.50867
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAIrigB3
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity FPGAIrigB3 Is
  port
  (
    X_1PPS          : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=1PPS
    CFG_CLK         : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CFG_CLK
    CFG_CS          : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CFG_CS
    CFG_SI          : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CFG_SI
    CFG_SO          : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CFG_SO
    CLK             : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=CLK
    CNT             : In    STD_LOGIC_VECTOR(25 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=CNT[25..0]
    DELAY_GPS       : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=DELAY_GPS[31..0]
    FAIL            : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=FAIL
    GPS             : In    STD_LOGIC_VECTOR(31 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=GPS[31..0]
    HIJACK          : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=HIJACK
    INJECT_GPS      : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=INJECT_GPS
    IRIG_GPS        : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=IRIG_GPS
    IRIG_LOCAL      : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=IRIG_LOCAL
    IRIG_UTC        : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=IRIG_UTC
    IRIGDISP        : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=IRIGDISP
    JTAG_NEXUS_TCK  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TCK
    JTAG_NEXUS_TDI  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TDI
    JTAG_NEXUS_TDO  : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TDO
    JTAG_NEXUS_TMS  : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TMS
    JTAG_NEXUS_TRST : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=JTAG_NEXUS_TRST
    LEAP            : Out   STD_LOGIC_VECTOR(7 DOWNTO 0);    -- ObjectKind=Port|PrimaryId=LEAP[7..0]
    LEAP_SWITCH     : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=LEAP_SWITCH
    LEDADD          : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=LEDADD
    LEDDST          : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=LEDDST
    LEDSUB          : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=LEDSUB
    REAL_GPS        : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=REAL_GPS[31..0]
    REF_BITS        : Out   STD_LOGIC_VECTOR(88 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=REF_BITS[88..0]
    RESET_FAKE      : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=RESET_FAKE
    RST             : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=RST
    SET_FAKE_GPS    : In    STD_LOGIC_VECTOR(31 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=SET_FAKE_GPS[31..0]
    STATUS          : Out   STD_LOGIC_VECTOR(31 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=STATUS[31..0]
    SUBSEC_DIFF     : In    STD_LOGIC_VECTOR(31 DOWNTO 0);   -- ObjectKind=Port|PrimaryId=SUBSEC_DIFF[31..0]
    SW              : In    STD_LOGIC_VECTOR(10 DOWNTO 1);   -- ObjectKind=Port|PrimaryId=SW[10..1]
    SW_ADD          : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=SW_ADD
    SW_DOWN         : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=SW_DOWN
    SW_GPS          : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=SW_GPS
    SW_LEAP         : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=SW_LEAP
    SW_SUB          : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=SW_SUB
    SW_TZ           : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=SW_TZ
    SW_UP           : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=SW_UP
    SW_UTC          : In    STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=SW_UTC
    TZ_OFFSET       : Out   STD_LOGIC_VECTOR(5 DOWNTO 0);    -- ObjectKind=Port|PrimaryId=TZ_OFFSET[5..0]
    TZ_SIGN         : Out   STD_LOGIC;                       -- ObjectKind=Port|PrimaryId=TZ_SIGN
    TZ_SWITCH       : Out   STD_LOGIC                        -- ObjectKind=Port|PrimaryId=TZ_SWITCH
  );
  attribute MacroCell : boolean;

End FPGAIrigB3;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGAIrigB3 Is
   Component AND2N1S                                         -- ObjectKind=Part|PrimaryId=U117|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U117-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U117-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U117-O
      );
   End Component;

   Component AND2S                                           -- ObjectKind=Part|PrimaryId=U118|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U118-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U118-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U118-O
      );
   End Component;

   Component Configurable_U106                               -- ObjectKind=Part|PrimaryId=U106|SecondaryId=1
      port
      (
        I0_B  : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=U106-I0_B[7..0]
        I1_B  : in  STD_LOGIC_VECTOR(5 downto 0);            -- ObjectKind=Pin|PrimaryId=U106-I1_B[5..0]
        I2    : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U106-I2
        I3    : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U106-I3
        I4    : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U106-I4
        I5    : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U106-I5
        I6    : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U106-I6
        I7    : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U106-I7
        I8    : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U106-I8
        I9    : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=U106-I9
        I10_B : in  STD_LOGIC_VECTOR(9 downto 0);            -- ObjectKind=Pin|PrimaryId=U106-I10_B[9..0]
        O     : out STD_LOGIC_VECTOR(31 downto 0)            -- ObjectKind=Pin|PrimaryId=U106-O[31..0]
      );
   End Component;

   Component Configurable_U127                               -- ObjectKind=Part|PrimaryId=U127|SecondaryId=1
      port
      (
        A  : in  STD_LOGIC_VECTOR(25 downto 0);              -- ObjectKind=Pin|PrimaryId=U127-A[25..0]
        B  : in  STD_LOGIC_VECTOR(25 downto 0);              -- ObjectKind=Pin|PrimaryId=U127-B[25..0]
        EQ : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U127-EQ
      );
   End Component;

   Component Configurable_U_FRONT_PANEL_MON                  -- ObjectKind=Part|PrimaryId=U_FRONT_PANEL_MON|SecondaryId=1
      port
      (
        LEAP_MON    : in  STD_LOGIC_VECTOR(7 downto 0);      -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-LEAP_MON[7..0]
        TCK         : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-TCK
        TDI         : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-TDI
        TDO         : out STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-TDO
        TMS         : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-TMS
        TRST        : in  STD_LOGIC;                         -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-TRST
        TZ_MON      : in  STD_LOGIC_VECTOR(5 downto 0);      -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-TZ_MON[5..0]
        TZ_MON_SIGN : in  STD_LOGIC                          -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-TZ_MON_SIGN
      );
   End Component;

   Component Debounce                                        -- ObjectKind=Sheet Symbol|PrimaryId=U_DEBOUNCE_0
      port
      (
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-CLK
        RST    : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-RST
        SW_IN  : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_IN
        SW_OUT : out STD_LOGIC                               -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_OUT
      );
   End Component;

   Component FakeClock                                       -- ObjectKind=Sheet Symbol|PrimaryId=U_FAKE_CLOCK
      port
      (
        CLK        : in  STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-CLK
        DELAY_PPS  : out STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-DELAY_PPS
        DIFF       : in  STD_LOGIC_VECTOR(31 downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-DIFF[31..0]
        PPS        : in  STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-PPS
        RST        : in  STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-RST
        SIGN       : out STD_LOGIC;                          -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-SIGN
        TIME_OUT   : out STD_LOGIC_VECTOR(31 downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-TIME_OUT[31..0]
        TIME_START : in  STD_LOGIC_VECTOR(31 downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-TIME_START[31..0]
        VIEW_DELAY : out STD_LOGIC_VECTOR(31 downto 0)       -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-VIEW_DELAY[31..0]
      );
   End Component;

   Component IRIGB                                           -- ObjectKind=Sheet Symbol|PrimaryId=U_IRIGB_GPS
      port
      (
        BITS     : out STD_LOGIC_VECTOR(88 downto 0);        -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-BITS[88..0]
        CLK      : in  STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-CLK
        DST      : in  STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-DST
        GPS      : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-GPS[31..0]
        IEEE1344 : in  STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-IEEE1344
        IRIG     : out STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-IRIG
        ISLAST   : out STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-ISLAST
        ISLEAP   : out STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-ISLEAP
        LEAP     : in  STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAP[7..0]
        LEAPDEL  : in  STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAPDEL
        LEAPPEND : in  STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAPPEND
        ONEPPS   : in  STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-ONEPPS
        TIMEZONE : in  STD_LOGIC_VECTOR(5 downto 0)          -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-TIMEZONE[5..0]
      );
   End Component;

   Component M1_S2S1                                         -- ObjectKind=Part|PrimaryId=U101|SecondaryId=1
      port
      (
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U101-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U101-D1
        O  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U101-O
        S0 : in  STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U101-S0
      );
   End Component;

   Component M32_B2B1                                        -- ObjectKind=Part|PrimaryId=U102|SecondaryId=1
      port
      (
        A  : in  STD_LOGIC_VECTOR(31 downto 0);              -- ObjectKind=Pin|PrimaryId=U102-A[31..0]
        B  : in  STD_LOGIC_VECTOR(31 downto 0);              -- ObjectKind=Pin|PrimaryId=U102-B[31..0]
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U102-S0
        Y  : out STD_LOGIC_VECTOR(31 downto 0)               -- ObjectKind=Pin|PrimaryId=U102-Y[31..0]
      );
   End Component;

   Component NOR2S                                           -- ObjectKind=Part|PrimaryId=U112|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U112-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U112-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U112-O
      );
   End Component;

   Component RunEEPROM                                       -- ObjectKind=Sheet Symbol|PrimaryId=U_EEPROM
      port
      (
        ADDR    : in  STD_LOGIC_VECTOR(15 downto 0);         -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-ADDR[15..0]
        CFG_CLK : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-CFG_CLK
        CFG_CS  : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-CFG_CS
        CFG_SI  : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-CFG_SI
        CFG_SO  : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-CFG_SO
        CLK     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-CLK
        RDATA   : out STD_LOGIC_VECTOR(7 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-RDATA[7..0]
        RDWR    : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-RDWR
        RDY     : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-RDY
        REI     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-REI
        RST     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-RST
        SYSRST  : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-SYSRST
        WDATA   : in  STD_LOGIC_VECTOR(7 downto 0)           -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-WDATA[7..0]
      );
   End Component;

   Component SettingDST                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_DST
      port
      (
        CHG      : out STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-CHG
        CLK      : in  STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-CLK
        DOWN     : in  STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-DOWN
        ENABLE   : in  STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-ENABLE
        INIT_DST : in  STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-INIT_DST
        RST      : in  STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-RST
        SET      : out STD_LOGIC;                            -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-SET
        UP       : in  STD_LOGIC                             -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-UP
      );
   End Component;

   Component SettingLeap                                     -- ObjectKind=Sheet Symbol|PrimaryId=U_LEAP
      port
      (
        ADD_LEAP  : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-ADD_LEAP
        CHG       : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-CHG
        CLK       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-CLK
        DOWN      : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-DOWN
        ENABLE    : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-ENABLE
        INIT_LEAP : in  STD_LOGIC_VECTOR(7 downto 0);        -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-INIT_LEAP[7..0]
        IS_LAST   : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-IS_LAST
        IS_LEAP   : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-IS_LEAP
        LEAP      : out STD_LOGIC_VECTOR(7 downto 0);        -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-LEAP[7..0]
        LEAPDEL   : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-LEAPDEL
        LEAPPEND  : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-LEAPPEND
        PREPPS    : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-PREPPS
        RST       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-RST
        SUB_LEAP  : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-SUB_LEAP
        UP        : in  STD_LOGIC                            -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-UP
      );
   End Component;

   Component SettingTimezone                                 -- ObjectKind=Sheet Symbol|PrimaryId=U_TZ
      port
      (
        CHG     : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-CHG
        CLK     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-CLK
        DOWN    : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-DOWN
        ENABLE  : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-ENABLE
        INIT_TZ : in  STD_LOGIC_VECTOR(5 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-INIT_TZ[5..0]
        OFFSET  : out STD_LOGIC_VECTOR(5 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-OFFSET[5..0]
        RST     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-RST
        SIGN    : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-SIGN
        TZ      : out STD_LOGIC_VECTOR(5 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-TZ[5..0]
        UP      : in  STD_LOGIC                              -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-UP
      );
   End Component;

   Component WriteEEPROM                                     -- ObjectKind=Sheet Symbol|PrimaryId=U_WRITE_EEPROM
      port
      (
        ADDR      : out STD_LOGIC_VECTOR(15 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-ADDR[15..0]
        CLK       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-CLK
        DST       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-DST
        DST_CHG   : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-DST_CHG
        INIT_DST  : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-INIT_DST
        INIT_LEAP : out STD_LOGIC_VECTOR(7 downto 0);        -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-INIT_LEAP[7..0]
        INIT_TZ   : out STD_LOGIC_VECTOR(5 downto 0);        -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-INIT_TZ[5..0]
        LEAP      : in  STD_LOGIC_VECTOR(7 downto 0);        -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-LEAP[7..0]
        LEAP_CHG  : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-LEAP_CHG
        RDATA     : in  STD_LOGIC_VECTOR(7 downto 0);        -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-RDATA[7..0]
        RDWR      : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-RDWR
        RDY       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-RDY
        RST       : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-RST
        SETRST    : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-SETRST
        SYSRST    : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-SYSRST
        TZ        : in  STD_LOGIC_VECTOR(5 downto 0);        -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-TZ[5..0]
        TZ_CHG    : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-TZ_CHG
        WDATA     : out STD_LOGIC_VECTOR(7 downto 0)         -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-WDATA[7..0]
      );
   End Component;


    Signal NamedSignal_1PPS                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS
    Signal NamedSignal_CLK                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_DELAY_1PPS              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DELAY_1PPS
    Signal NamedSignal_DELAY_GPS               : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=DELAY_GPS[31..0]
    Signal NamedSignal_DELAY_IRIG_GPS          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DELAY_IRIG_GPS
    Signal NamedSignal_DST                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DST
    Signal NamedSignal_DST_CHG                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DST_CHG
    Signal NamedSignal_FAKE_GPS                : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=FAKE_GPS[31..0]
    Signal NamedSignal_GND1_BUS                : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[7..0]
    Signal NamedSignal_GND2_BUS                : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[5..0]
    Signal NamedSignal_GND3_BUS                : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=GND3_BUS[5..0]
    Signal NamedSignal_GND4_BUS                : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=GND4_BUS[7..0]
    Signal NamedSignal_GND5_BUS                : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=GND5_BUS[5..0]
    Signal NamedSignal_GPS                     : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=GPS[31..0]
    Signal NamedSignal_HIJACK                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=HIJACK
    Signal NamedSignal_INIT_DST                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INIT_DST
    Signal NamedSignal_INIT_LEAP               : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=INIT_LEAP[7..0]
    Signal NamedSignal_INIT_TZ                 : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=INIT_TZ[5..0]
    Signal NamedSignal_IRIG_LOCAL              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IRIG_LOCAL
    Signal NamedSignal_IRIG_UTC                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IRIG_UTC
    Signal NamedSignal_IS_LAST                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IS_LAST
    Signal NamedSignal_IS_LEAP                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IS_LEAP
    Signal NamedSignal_LEAP                    : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=LEAP[7..0]
    Signal NamedSignal_LEAP_CHG                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LEAP_CHG
    Signal NamedSignal_LEAPDEL                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LEAPDEL
    Signal NamedSignal_LEAPPEND                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LEAPPEND
    Signal NamedSignal_PREPPS                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PREPPS
    Signal NamedSignal_REAL_GPS                : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=GPS[31..0]
    Signal NamedSignal_REAL_IRIG_GPS           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=REAL_IRIG_GPS
    Signal NamedSignal_RST                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST
    Signal NamedSignal_SET_ADD                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_ADD
    Signal NamedSignal_SET_DOWN                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_DOWN
    Signal NamedSignal_SET_DST                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_DST
    Signal NamedSignal_SET_GPS                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_GPS
    Signal NamedSignal_SET_LEAP                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_LEAP
    Signal NamedSignal_SET_SUB                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_SUB
    Signal NamedSignal_SET_TZ                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_TZ
    Signal NamedSignal_SET_UP                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_UP
    Signal NamedSignal_SET_UTC                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_UTC
    Signal NamedSignal_SYSRST                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYSRST
    Signal NamedSignal_TIMEZONE                : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=TIMEZONE[5..0]
    Signal NamedSignal_TZ_CHG                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TZ_CHG
    Signal NamedSignal_TZ_OFFSET               : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=TZ_OFFSET[5..0]
    Signal NamedSignal_TZ_SIGN                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TZ_SIGN
    Signal NamedSignal_VCC1_BUS                : STD_LOGIC_VECTOR(25 downto 0); -- ObjectKind=Net|PrimaryId=VCC1_BUS[25..0]
    Signal PinSignal_U_DEBOUNCE_0_SW_OUT       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_GPS
    Signal PinSignal_U_DEBOUNCE_1_SW_OUT       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_UTC
    Signal PinSignal_U_DEBOUNCE_2_SW_OUT       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_TZ
    Signal PinSignal_U_DEBOUNCE_3_SW_OUT       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_LEAP
    Signal PinSignal_U_DEBOUNCE_4_SW_OUT       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_UP
    Signal PinSignal_U_DEBOUNCE_5_SW_OUT       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_DOWN
    Signal PinSignal_U_DEBOUNCE_6_SW_OUT       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_ADD
    Signal PinSignal_U_DEBOUNCE_7_SW_OUT       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_SUB
    Signal PinSignal_U_DST_CHG                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DST_CHG
    Signal PinSignal_U_DST_SET                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DST
    Signal PinSignal_U_EEPROM_CFG_CLK          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_CLK
    Signal PinSignal_U_EEPROM_CFG_CS           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_CS
    Signal PinSignal_U_EEPROM_CFG_SO           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CFG_SO
    Signal PinSignal_U_EEPROM_RDATA            : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=RDATA
    Signal PinSignal_U_EEPROM_RDY              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDY
    Signal PinSignal_U_FAKE_CLOCK_DELAY_PPS    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DELAY_1PPS
    Signal PinSignal_U_FAKE_CLOCK_SIGN         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SIGN
    Signal PinSignal_U_FAKE_CLOCK_TIME_OUT     : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=FAKE_GPS[31..0]
    Signal PinSignal_U_FAKE_CLOCK_VIEW_DELAY   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=VIEW_DELAY[31..0]
    Signal PinSignal_U_FRONT_PANEL_MON_TDO     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU_FRONT_PANEL_MON_TDO
    Signal PinSignal_U_IRIGB_GPS_BITS          : STD_LOGIC_VECTOR(88 downto 0); -- ObjectKind=Net|PrimaryId=REF_BITS[88..0]
    Signal PinSignal_U_IRIGB_GPS_FAKE_OUT_IRIG : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DELAY_IRIG_GPS
    Signal PinSignal_U_IRIGB_GPS_IRIG          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=REAL_IRIG_GPS
    Signal PinSignal_U_IRIGB_LOCAL_IRIG        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IRIG_LOCAL
    Signal PinSignal_U_IRIGB_UTC_IRIG          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IRIG_UTC
    Signal PinSignal_U_IRIGB_UTC_ISLAST        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IS_LAST
    Signal PinSignal_U_IRIGB_UTC_ISLEAP        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IS_LEAP
    Signal PinSignal_U_LEAP_CHG                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LEAP_CHG
    Signal PinSignal_U_LEAP_LEAP               : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=LEAP[7..0]
    Signal PinSignal_U_LEAP_LEAPDEL            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LEAPDEL
    Signal PinSignal_U_LEAP_LEAPPEND           : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LEAPPEND
    Signal PinSignal_U_TZ_CHG                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TZ_CHG
    Signal PinSignal_U_TZ_OFFSET               : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=TZ_OFFSET[5..0]
    Signal PinSignal_U_TZ_SIGN                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TZ_SIGN
    Signal PinSignal_U_TZ_TZ                   : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=TIMEZONE[5..0]
    Signal PinSignal_U_WRITE_EEPROM_ADDR       : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=ADDR
    Signal PinSignal_U_WRITE_EEPROM_INIT_DST   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=INIT_DST
    Signal PinSignal_U_WRITE_EEPROM_INIT_LEAP  : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=INIT_LEAP[7..0]
    Signal PinSignal_U_WRITE_EEPROM_INIT_TZ    : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=INIT_TZ[5..0]
    Signal PinSignal_U_WRITE_EEPROM_RDWR       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDWR
    Signal PinSignal_U_WRITE_EEPROM_RST        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST
    Signal PinSignal_U_WRITE_EEPROM_SETRST     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST
    Signal PinSignal_U_WRITE_EEPROM_WDATA      : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=WDATA
    Signal PinSignal_U101_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_IRIG_GPS
    Signal PinSignal_U102_Y                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=GPS[31..0]
    Signal PinSignal_U106_O                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=STATUS[31..0]
    Signal PinSignal_U109_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU109_O
    Signal PinSignal_U110_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU110_O
    Signal PinSignal_U112_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SET_DST
    Signal PinSignal_U117_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU117_O
    Signal PinSignal_U118_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU118_O
    Signal PinSignal_U127_EQ                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PREPPS
    Signal PinSignal_U190_Y                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=DELAY_GPS[31..0]
    Signal PowerSignal_GND                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_GND_BUS                 : STD_LOGIC_VECTOR(9 downto 0); -- ObjectKind=Net|PrimaryId=GND_BUS
    Signal PowerSignal_VCC                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    U_WRITE_EEPROM : WriteEEPROM                             -- ObjectKind=Sheet Symbol|PrimaryId=U_WRITE_EEPROM
      Port Map
      (
        ADDR      => PinSignal_U_WRITE_EEPROM_ADDR,          -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-ADDR[15..0]
        CLK       => NamedSignal_CLK,                        -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-CLK
        DST       => NamedSignal_DST,                        -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-DST
        DST_CHG   => NamedSignal_DST_CHG,                    -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-DST_CHG
        INIT_DST  => PinSignal_U_WRITE_EEPROM_INIT_DST,      -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-INIT_DST
        INIT_LEAP => PinSignal_U_WRITE_EEPROM_INIT_LEAP,     -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-INIT_LEAP[7..0]
        INIT_TZ   => PinSignal_U_WRITE_EEPROM_INIT_TZ,       -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-INIT_TZ[5..0]
        LEAP      => NamedSignal_LEAP,                       -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-LEAP[7..0]
        LEAP_CHG  => NamedSignal_LEAP_CHG,                   -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-LEAP_CHG
        RDATA     => PinSignal_U_EEPROM_RDATA,               -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-RDATA[7..0]
        RDWR      => PinSignal_U_WRITE_EEPROM_RDWR,          -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-RDWR
        RDY       => PinSignal_U_EEPROM_RDY,                 -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-RDY
        RST       => PinSignal_U_WRITE_EEPROM_RST,           -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-RST
        SETRST    => PinSignal_U_WRITE_EEPROM_SETRST,        -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-SETRST
        SYSRST    => NamedSignal_SYSRST,                     -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-SYSRST
        TZ        => NamedSignal_TIMEZONE,                   -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-TZ[5..0]
        TZ_CHG    => NamedSignal_TZ_CHG,                     -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-TZ_CHG
        WDATA     => PinSignal_U_WRITE_EEPROM_WDATA          -- ObjectKind=Sheet Entry|PrimaryId=WriteEEPROM.Vhd-WDATA[7..0]
      );

    U_TZ : SettingTimezone                                   -- ObjectKind=Sheet Symbol|PrimaryId=U_TZ
      Port Map
      (
        CHG     => PinSignal_U_TZ_CHG,                       -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-CHG
        CLK     => NamedSignal_CLK,                          -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-CLK
        DOWN    => NamedSignal_SET_DOWN,                     -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-DOWN
        ENABLE  => NamedSignal_SET_TZ,                       -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-ENABLE
        INIT_TZ => NamedSignal_INIT_TZ,                      -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-INIT_TZ[5..0]
        OFFSET  => PinSignal_U_TZ_OFFSET,                    -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-OFFSET[5..0]
        RST     => NamedSignal_RST,                          -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-RST
        SIGN    => PinSignal_U_TZ_SIGN,                      -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-SIGN
        TZ      => PinSignal_U_TZ_TZ,                        -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-TZ[5..0]
        UP      => NamedSignal_SET_UP                        -- ObjectKind=Sheet Entry|PrimaryId=SettingTimezone.Vhd-UP
      );

    U_LEAP : SettingLeap                                     -- ObjectKind=Sheet Symbol|PrimaryId=U_LEAP
      Port Map
      (
        ADD_LEAP  => NamedSignal_SET_ADD,                    -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-ADD_LEAP
        CHG       => PinSignal_U_LEAP_CHG,                   -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-CHG
        CLK       => NamedSignal_CLK,                        -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-CLK
        DOWN      => NamedSignal_SET_DOWN,                   -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-DOWN
        ENABLE    => NamedSignal_SET_LEAP,                   -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-ENABLE
        INIT_LEAP => NamedSignal_INIT_LEAP,                  -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-INIT_LEAP[7..0]
        IS_LAST   => NamedSignal_IS_LAST,                    -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-IS_LAST
        IS_LEAP   => NamedSignal_IS_LEAP,                    -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-IS_LEAP
        LEAP      => PinSignal_U_LEAP_LEAP,                  -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-LEAP[7..0]
        LEAPDEL   => PinSignal_U_LEAP_LEAPDEL,               -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-LEAPDEL
        LEAPPEND  => PinSignal_U_LEAP_LEAPPEND,              -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-LEAPPEND
        PREPPS    => NamedSignal_PREPPS,                     -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-PREPPS
        RST       => NamedSignal_RST,                        -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-RST
        SUB_LEAP  => NamedSignal_SET_SUB,                    -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-SUB_LEAP
        UP        => NamedSignal_SET_UP                      -- ObjectKind=Sheet Entry|PrimaryId=SettingLeap.Vhd-UP
      );

    U_IRIGB_UTC : IRIGB                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_IRIGB_UTC
      Port Map
      (
        CLK      => NamedSignal_CLK,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-CLK
        DST      => PowerSignal_GND,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-DST
        GPS      => NamedSignal_GPS,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-GPS[31..0]
        IEEE1344 => PowerSignal_VCC,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-IEEE1344
        IRIG     => PinSignal_U_IRIGB_UTC_IRIG,              -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-IRIG
        ISLAST   => PinSignal_U_IRIGB_UTC_ISLAST,            -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-ISLAST
        ISLEAP   => PinSignal_U_IRIGB_UTC_ISLEAP,            -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-ISLEAP
        LEAP     => NamedSignal_LEAP,                        -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAP[7..0]
        LEAPDEL  => NamedSignal_LEAPDEL,                     -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAPDEL
        LEAPPEND => NamedSignal_LEAPPEND,                    -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAPPEND
        ONEPPS   => NamedSignal_1PPS,                        -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-ONEPPS
        TIMEZONE => NamedSignal_GND3_BUS                     -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-TIMEZONE[5..0]
      );

    U_IRIGB_LOCAL : IRIGB                                    -- ObjectKind=Sheet Symbol|PrimaryId=U_IRIGB_LOCAL
      Port Map
      (
        CLK      => NamedSignal_CLK,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-CLK
        DST      => NamedSignal_DST,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-DST
        GPS      => NamedSignal_GPS,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-GPS[31..0]
        IEEE1344 => PowerSignal_VCC,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-IEEE1344
        IRIG     => PinSignal_U_IRIGB_LOCAL_IRIG,            -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-IRIG
        LEAP     => NamedSignal_LEAP,                        -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAP[7..0]
        LEAPDEL  => NamedSignal_LEAPDEL,                     -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAPDEL
        LEAPPEND => NamedSignal_LEAPPEND,                    -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAPPEND
        ONEPPS   => NamedSignal_1PPS,                        -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-ONEPPS
        TIMEZONE => NamedSignal_TIMEZONE                     -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-TIMEZONE[5..0]
      );

    U_IRIGB_GPS_FAKE_OUT : IRIGB                             -- ObjectKind=Sheet Symbol|PrimaryId=U_IRIGB_GPS_FAKE_OUT
      Port Map
      (
        CLK      => NamedSignal_CLK,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-CLK
        DST      => PowerSignal_GND,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-DST
        GPS      => NamedSignal_DELAY_GPS,                   -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-GPS[31..0]
        IEEE1344 => PowerSignal_VCC,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-IEEE1344
        IRIG     => PinSignal_U_IRIGB_GPS_FAKE_OUT_IRIG,     -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-IRIG
        LEAP     => NamedSignal_GND4_BUS,                    -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAP[7..0]
        LEAPDEL  => PowerSignal_GND,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAPDEL
        LEAPPEND => PowerSignal_GND,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAPPEND
        ONEPPS   => NamedSignal_DELAY_1PPS,                  -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-ONEPPS
        TIMEZONE => NamedSignal_GND5_BUS                     -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-TIMEZONE[5..0]
      );

    U_IRIGB_GPS : IRIGB                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_IRIGB_GPS
      Port Map
      (
        BITS     => PinSignal_U_IRIGB_GPS_BITS,              -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-BITS[88..0]
        CLK      => NamedSignal_CLK,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-CLK
        DST      => PowerSignal_GND,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-DST
        GPS      => NamedSignal_GPS,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-GPS[31..0]
        IEEE1344 => PowerSignal_VCC,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-IEEE1344
        IRIG     => PinSignal_U_IRIGB_GPS_IRIG,              -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-IRIG
        LEAP     => NamedSignal_GND1_BUS,                    -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAP[7..0]
        LEAPDEL  => PowerSignal_GND,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAPDEL
        LEAPPEND => PowerSignal_GND,                         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-LEAPPEND
        ONEPPS   => NamedSignal_1PPS,                        -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-ONEPPS
        TIMEZONE => NamedSignal_GND2_BUS                     -- ObjectKind=Sheet Entry|PrimaryId=IRIGB.SchDoc-TIMEZONE[5..0]
      );

    U_FAKE_CLOCK : FakeClock                                 -- ObjectKind=Sheet Symbol|PrimaryId=U_FAKE_CLOCK
      Port Map
      (
        CLK        => NamedSignal_CLK,                       -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-CLK
        DELAY_PPS  => PinSignal_U_FAKE_CLOCK_DELAY_PPS,      -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-DELAY_PPS
        DIFF       => SUBSEC_DIFF,                           -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-DIFF[31..0]
        PPS        => NamedSignal_1PPS,                      -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-PPS
        RST        => RESET_FAKE,                            -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-RST
        SIGN       => PinSignal_U_FAKE_CLOCK_SIGN,           -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-SIGN
        TIME_OUT   => PinSignal_U_FAKE_CLOCK_TIME_OUT,       -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-TIME_OUT[31..0]
        TIME_START => SET_FAKE_GPS,                          -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-TIME_START[31..0]
        VIEW_DELAY => PinSignal_U_FAKE_CLOCK_VIEW_DELAY      -- ObjectKind=Sheet Entry|PrimaryId=FakeClock.Vhd-VIEW_DELAY[31..0]
      );

    U_EEPROM : RunEEPROM                                     -- ObjectKind=Sheet Symbol|PrimaryId=U_EEPROM
      Port Map
      (
        ADDR    => PinSignal_U_WRITE_EEPROM_ADDR,            -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-ADDR[15..0]
        CFG_CLK => PinSignal_U_EEPROM_CFG_CLK,               -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-CFG_CLK
        CFG_CS  => PinSignal_U_EEPROM_CFG_CS,                -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-CFG_CS
        CFG_SI  => CFG_SI,                                   -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-CFG_SI
        CFG_SO  => PinSignal_U_EEPROM_CFG_SO,                -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-CFG_SO
        CLK     => NamedSignal_CLK,                          -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-CLK
        RDATA   => PinSignal_U_EEPROM_RDATA,                 -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-RDATA[7..0]
        RDWR    => PinSignal_U_WRITE_EEPROM_RDWR,            -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-RDWR
        RDY     => PinSignal_U_EEPROM_RDY,                   -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-RDY
        REI     => PowerSignal_GND,                          -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-REI
        RST     => PinSignal_U_WRITE_EEPROM_RST,             -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-RST
        SYSRST  => NamedSignal_SYSRST,                       -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-SYSRST
        WDATA   => PinSignal_U_WRITE_EEPROM_WDATA            -- ObjectKind=Sheet Entry|PrimaryId=RunEEPROM.Vhd-WDATA[7..0]
      );

    U_DST : SettingDST                                       -- ObjectKind=Sheet Symbol|PrimaryId=U_DST
      Port Map
      (
        CHG      => PinSignal_U_DST_CHG,                     -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-CHG
        CLK      => NamedSignal_CLK,                         -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-CLK
        DOWN     => NamedSignal_SET_DOWN,                    -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-DOWN
        ENABLE   => NamedSignal_SET_DST,                     -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-ENABLE
        INIT_DST => NamedSignal_INIT_DST,                    -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-INIT_DST
        RST      => NamedSignal_RST,                         -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-RST
        SET      => PinSignal_U_DST_SET,                     -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-SET
        UP       => NamedSignal_SET_UP                       -- ObjectKind=Sheet Entry|PrimaryId=SettingDST.Vhd-UP
      );

    U_DEBOUNCE_7 : Debounce                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_DEBOUNCE_7
      Port Map
      (
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-CLK
        RST    => NamedSignal_RST,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-RST
        SW_IN  => SW_SUB,                                    -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_IN
        SW_OUT => PinSignal_U_DEBOUNCE_7_SW_OUT              -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_OUT
      );

    U_DEBOUNCE_6 : Debounce                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_DEBOUNCE_6
      Port Map
      (
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-CLK
        RST    => NamedSignal_RST,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-RST
        SW_IN  => SW_ADD,                                    -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_IN
        SW_OUT => PinSignal_U_DEBOUNCE_6_SW_OUT              -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_OUT
      );

    U_DEBOUNCE_5 : Debounce                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_DEBOUNCE_5
      Port Map
      (
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-CLK
        RST    => NamedSignal_RST,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-RST
        SW_IN  => SW_DOWN,                                   -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_IN
        SW_OUT => PinSignal_U_DEBOUNCE_5_SW_OUT              -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_OUT
      );

    U_DEBOUNCE_4 : Debounce                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_DEBOUNCE_4
      Port Map
      (
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-CLK
        RST    => NamedSignal_RST,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-RST
        SW_IN  => SW_UP,                                     -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_IN
        SW_OUT => PinSignal_U_DEBOUNCE_4_SW_OUT              -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_OUT
      );

    U_DEBOUNCE_3 : Debounce                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_DEBOUNCE_3
      Port Map
      (
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-CLK
        RST    => NamedSignal_RST,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-RST
        SW_IN  => SW_LEAP,                                   -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_IN
        SW_OUT => PinSignal_U_DEBOUNCE_3_SW_OUT              -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_OUT
      );

    U_DEBOUNCE_2 : Debounce                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_DEBOUNCE_2
      Port Map
      (
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-CLK
        RST    => NamedSignal_RST,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-RST
        SW_IN  => SW_TZ,                                     -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_IN
        SW_OUT => PinSignal_U_DEBOUNCE_2_SW_OUT              -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_OUT
      );

    U_DEBOUNCE_1 : Debounce                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_DEBOUNCE_1
      Port Map
      (
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-CLK
        RST    => NamedSignal_RST,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-RST
        SW_IN  => SW_UTC,                                    -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_IN
        SW_OUT => PinSignal_U_DEBOUNCE_1_SW_OUT              -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_OUT
      );

    U_DEBOUNCE_0 : Debounce                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_DEBOUNCE_0
      Port Map
      (
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-CLK
        RST    => NamedSignal_RST,                           -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-RST
        SW_IN  => SW_GPS,                                    -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_IN
        SW_OUT => PinSignal_U_DEBOUNCE_0_SW_OUT              -- ObjectKind=Sheet Entry|PrimaryId=Debounce.Vhd-SW_OUT
      );

    U_FRONT_PANEL_MON : Configurable_U_FRONT_PANEL_MON       -- ObjectKind=Part|PrimaryId=U_FRONT_PANEL_MON|SecondaryId=1
      Port Map
      (
        LEAP_MON    => NamedSignal_LEAP,                     -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-LEAP_MON[7..0]
        TCK         => JTAG_NEXUS_TCK,                       -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-TCK
        TDI         => JTAG_NEXUS_TDI,                       -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-TDI
        TDO         => PinSignal_U_FRONT_PANEL_MON_TDO,      -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-TDO
        TMS         => JTAG_NEXUS_TMS,                       -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-TMS
        TRST        => JTAG_NEXUS_TRST,                      -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-TRST
        TZ_MON      => NamedSignal_TZ_OFFSET,                -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-TZ_MON[5..0]
        TZ_MON_SIGN => NamedSignal_TZ_SIGN                   -- ObjectKind=Pin|PrimaryId=U_FRONT_PANEL_MON-TZ_MON_SIGN
      );

    U190 : M32_B2B1                                          -- ObjectKind=Part|PrimaryId=U190|SecondaryId=1
      Port Map
      (
        A  => NamedSignal_REAL_GPS,                          -- ObjectKind=Pin|PrimaryId=U190-A[31..0]
        B  => NamedSignal_FAKE_GPS,                          -- ObjectKind=Pin|PrimaryId=U190-B[31..0]
        S0 => INJECT_GPS,                                    -- ObjectKind=Pin|PrimaryId=U190-S0
        Y  => PinSignal_U190_Y                               -- ObjectKind=Pin|PrimaryId=U190-Y[31..0]
      );

    U127 : Configurable_U127                                 -- ObjectKind=Part|PrimaryId=U127|SecondaryId=1
      Port Map
      (
        A  => CNT,                                           -- ObjectKind=Pin|PrimaryId=U127-A[25..0]
        B  => NamedSignal_VCC1_BUS,                          -- ObjectKind=Pin|PrimaryId=U127-B[25..0]
        EQ => PinSignal_U127_EQ                              -- ObjectKind=Pin|PrimaryId=U127-EQ
      );

    U118 : AND2S                                             -- ObjectKind=Part|PrimaryId=U118|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_LEAPPEND,                          -- ObjectKind=Pin|PrimaryId=U118-I0
        I1 => NamedSignal_LEAPDEL,                           -- ObjectKind=Pin|PrimaryId=U118-I1
        O  => PinSignal_U118_O                               -- ObjectKind=Pin|PrimaryId=U118-O
      );

    U117 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U117|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_LEAPDEL,                           -- ObjectKind=Pin|PrimaryId=U117-I0
        I1 => NamedSignal_LEAPPEND,                          -- ObjectKind=Pin|PrimaryId=U117-I1
        O  => PinSignal_U117_O                               -- ObjectKind=Pin|PrimaryId=U117-O
      );

    U112 : NOR2S                                             -- ObjectKind=Part|PrimaryId=U112|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_SET_TZ,                            -- ObjectKind=Pin|PrimaryId=U112-I0
        I1 => NamedSignal_SET_LEAP,                          -- ObjectKind=Pin|PrimaryId=U112-I1
        O  => PinSignal_U112_O                               -- ObjectKind=Pin|PrimaryId=U112-O
      );

    U110 : M1_S2S1                                           -- ObjectKind=Part|PrimaryId=U110|SecondaryId=1
      Port Map
      (
        D0 => PinSignal_U109_O,                              -- ObjectKind=Pin|PrimaryId=U110-D0
        D1 => NamedSignal_REAL_IRIG_GPS,                     -- ObjectKind=Pin|PrimaryId=U110-D1
        O  => PinSignal_U110_O,                              -- ObjectKind=Pin|PrimaryId=U110-O
        S0 => NamedSignal_SET_GPS                            -- ObjectKind=Pin|PrimaryId=U110-S0
      );

    U109 : M1_S2S1                                           -- ObjectKind=Part|PrimaryId=U109|SecondaryId=1
      Port Map
      (
        D0 => NamedSignal_IRIG_LOCAL,                        -- ObjectKind=Pin|PrimaryId=U109-D0
        D1 => NamedSignal_IRIG_UTC,                          -- ObjectKind=Pin|PrimaryId=U109-D1
        O  => PinSignal_U109_O,                              -- ObjectKind=Pin|PrimaryId=U109-O
        S0 => NamedSignal_SET_UTC                            -- ObjectKind=Pin|PrimaryId=U109-S0
      );

    U106 : Configurable_U106                                 -- ObjectKind=Part|PrimaryId=U106|SecondaryId=1
      Port Map
      (
        I0_B  => NamedSignal_LEAP,                           -- ObjectKind=Pin|PrimaryId=U106-I0_B[7..0]
        I1_B  => NamedSignal_TIMEZONE,                       -- ObjectKind=Pin|PrimaryId=U106-I1_B[5..0]
        I2    => NamedSignal_DST,                            -- ObjectKind=Pin|PrimaryId=U106-I2
        I3    => PowerSignal_GND,                            -- ObjectKind=Pin|PrimaryId=U106-I3
        I4    => NamedSignal_LEAPPEND,                       -- ObjectKind=Pin|PrimaryId=U106-I4
        I5    => NamedSignal_LEAPDEL,                        -- ObjectKind=Pin|PrimaryId=U106-I5
        I6    => NamedSignal_SET_GPS,                        -- ObjectKind=Pin|PrimaryId=U106-I6
        I7    => NamedSignal_SET_UTC,                        -- ObjectKind=Pin|PrimaryId=U106-I7
        I8    => NamedSignal_SET_TZ,                         -- ObjectKind=Pin|PrimaryId=U106-I8
        I9    => NamedSignal_SET_LEAP,                       -- ObjectKind=Pin|PrimaryId=U106-I9
        I10_B => PowerSignal_GND_BUS,                        -- ObjectKind=Pin|PrimaryId=U106-I10_B[9..0]
        O     => PinSignal_U106_O                            -- ObjectKind=Pin|PrimaryId=U106-O[31..0]
      );

    U102 : M32_B2B1                                          -- ObjectKind=Part|PrimaryId=U102|SecondaryId=1
      Port Map
      (
        A  => PinSignal_U190_Y,                              -- ObjectKind=Pin|PrimaryId=U102-A[31..0]
        B  => NamedSignal_REAL_GPS,                          -- ObjectKind=Pin|PrimaryId=U102-B[31..0]
        S0 => NamedSignal_HIJACK,                            -- ObjectKind=Pin|PrimaryId=U102-S0
        Y  => PinSignal_U102_Y                               -- ObjectKind=Pin|PrimaryId=U102-Y[31..0]
      );

    U101 : M1_S2S1                                           -- ObjectKind=Part|PrimaryId=U101|SecondaryId=1
      Port Map
      (
        D0 => NamedSignal_REAL_IRIG_GPS,                     -- ObjectKind=Pin|PrimaryId=U101-D0
        D1 => NamedSignal_DELAY_IRIG_GPS,                    -- ObjectKind=Pin|PrimaryId=U101-D1
        O  => PinSignal_U101_O,                              -- ObjectKind=Pin|PrimaryId=U101-O
        S0 => HIJACK                                         -- ObjectKind=Pin|PrimaryId=U101-S0
      );

    -- Signal Assignments
    ---------------------
    CFG_CLK                    <= PinSignal_U_EEPROM_CFG_CLK; -- ObjectKind=Net|PrimaryId=CFG_CLK
    CFG_CS                     <= PinSignal_U_EEPROM_CFG_CS; -- ObjectKind=Net|PrimaryId=CFG_CS
    CFG_SO                     <= PinSignal_U_EEPROM_CFG_SO; -- ObjectKind=Net|PrimaryId=CFG_SO
    DELAY_GPS                  <= NamedSignal_DELAY_GPS; -- ObjectKind=Net|PrimaryId=DELAY_GPS[31..0]
    FAIL                       <= PowerSignal_GND; -- ObjectKind=Net|PrimaryId=GND
    IRIG_GPS                   <= PinSignal_U101_O; -- ObjectKind=Net|PrimaryId=OUT_IRIG_GPS
    IRIG_LOCAL                 <= PinSignal_U_IRIGB_LOCAL_IRIG; -- ObjectKind=Net|PrimaryId=IRIG_LOCAL
    IRIG_UTC                   <= PinSignal_U_IRIGB_UTC_IRIG; -- ObjectKind=Net|PrimaryId=IRIG_UTC
    IRIGDISP                   <= PinSignal_U110_O; -- ObjectKind=Net|PrimaryId=NetU110_O
    JTAG_NEXUS_TDO             <= PinSignal_U_FRONT_PANEL_MON_TDO; -- ObjectKind=Net|PrimaryId=NetU_FRONT_PANEL_MON_TDO
    LEAP                       <= NamedSignal_LEAP; -- ObjectKind=Net|PrimaryId=LEAP[7..0]
    LEAP_SWITCH                <= NamedSignal_SET_LEAP; -- ObjectKind=Net|PrimaryId=SET_LEAP
    LEDADD                     <= PinSignal_U117_O; -- ObjectKind=Net|PrimaryId=NetU117_O
    LEDDST                     <= PinSignal_U_DST_SET; -- ObjectKind=Net|PrimaryId=DST
    LEDSUB                     <= PinSignal_U118_O; -- ObjectKind=Net|PrimaryId=NetU118_O
    NamedSignal_1PPS           <= X_1PPS; -- ObjectKind=Net|PrimaryId=1PPS
    NamedSignal_CLK            <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_DELAY_1PPS     <= PinSignal_U_FAKE_CLOCK_DELAY_PPS; -- ObjectKind=Net|PrimaryId=DELAY_1PPS
    NamedSignal_DELAY_GPS      <= PinSignal_U190_Y; -- ObjectKind=Net|PrimaryId=DELAY_GPS[31..0]
    NamedSignal_DELAY_IRIG_GPS <= PinSignal_U_IRIGB_GPS_FAKE_OUT_IRIG; -- ObjectKind=Net|PrimaryId=DELAY_IRIG_GPS
    NamedSignal_DST            <= PinSignal_U_DST_SET; -- ObjectKind=Net|PrimaryId=DST
    NamedSignal_DST_CHG        <= PinSignal_U_DST_CHG; -- ObjectKind=Net|PrimaryId=DST_CHG
    NamedSignal_FAKE_GPS       <= PinSignal_U_FAKE_CLOCK_TIME_OUT; -- ObjectKind=Net|PrimaryId=FAKE_GPS[31..0]
    NamedSignal_GND1_BUS       <= "00000000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[7..0]
    NamedSignal_GND2_BUS       <= "000000"; -- ObjectKind=Net|PrimaryId=GND2_BUS[5..0]
    NamedSignal_GND3_BUS       <= "000000"; -- ObjectKind=Net|PrimaryId=GND3_BUS[5..0]
    NamedSignal_GND4_BUS       <= "00000000"; -- ObjectKind=Net|PrimaryId=GND4_BUS[7..0]
    NamedSignal_GND5_BUS       <= "000000"; -- ObjectKind=Net|PrimaryId=GND5_BUS[5..0]
    NamedSignal_GPS            <= PinSignal_U102_Y; -- ObjectKind=Net|PrimaryId=GPS[31..0]
    NamedSignal_HIJACK         <= HIJACK; -- ObjectKind=Net|PrimaryId=HIJACK
    NamedSignal_INIT_DST       <= PinSignal_U_WRITE_EEPROM_INIT_DST; -- ObjectKind=Net|PrimaryId=INIT_DST
    NamedSignal_INIT_LEAP      <= PinSignal_U_WRITE_EEPROM_INIT_LEAP; -- ObjectKind=Net|PrimaryId=INIT_LEAP[7..0]
    NamedSignal_INIT_TZ        <= PinSignal_U_WRITE_EEPROM_INIT_TZ; -- ObjectKind=Net|PrimaryId=INIT_TZ[5..0]
    NamedSignal_IRIG_LOCAL     <= PinSignal_U_IRIGB_LOCAL_IRIG; -- ObjectKind=Net|PrimaryId=IRIG_LOCAL
    NamedSignal_IRIG_UTC       <= PinSignal_U_IRIGB_UTC_IRIG; -- ObjectKind=Net|PrimaryId=IRIG_UTC
    NamedSignal_IS_LAST        <= PinSignal_U_IRIGB_UTC_ISLAST; -- ObjectKind=Net|PrimaryId=IS_LAST
    NamedSignal_IS_LEAP        <= PinSignal_U_IRIGB_UTC_ISLEAP; -- ObjectKind=Net|PrimaryId=IS_LEAP
    NamedSignal_LEAP           <= PinSignal_U_LEAP_LEAP; -- ObjectKind=Net|PrimaryId=LEAP[7..0]
    NamedSignal_LEAP_CHG       <= PinSignal_U_LEAP_CHG; -- ObjectKind=Net|PrimaryId=LEAP_CHG
    NamedSignal_LEAPDEL        <= PinSignal_U_LEAP_LEAPDEL; -- ObjectKind=Net|PrimaryId=LEAPDEL
    NamedSignal_LEAPPEND       <= PinSignal_U_LEAP_LEAPPEND; -- ObjectKind=Net|PrimaryId=LEAPPEND
    NamedSignal_PREPPS         <= PinSignal_U127_EQ; -- ObjectKind=Net|PrimaryId=PREPPS
    NamedSignal_REAL_GPS       <= GPS; -- ObjectKind=Net|PrimaryId=GPS[31..0]
    NamedSignal_REAL_IRIG_GPS  <= PinSignal_U_IRIGB_GPS_IRIG; -- ObjectKind=Net|PrimaryId=REAL_IRIG_GPS
    NamedSignal_RST            <= PinSignal_U_WRITE_EEPROM_SETRST; -- ObjectKind=Net|PrimaryId=RST
    NamedSignal_SET_ADD        <= PinSignal_U_DEBOUNCE_6_SW_OUT; -- ObjectKind=Net|PrimaryId=SET_ADD
    NamedSignal_SET_DOWN       <= PinSignal_U_DEBOUNCE_5_SW_OUT; -- ObjectKind=Net|PrimaryId=SET_DOWN
    NamedSignal_SET_DST        <= PinSignal_U112_O; -- ObjectKind=Net|PrimaryId=SET_DST
    NamedSignal_SET_GPS        <= PinSignal_U_DEBOUNCE_0_SW_OUT; -- ObjectKind=Net|PrimaryId=SET_GPS
    NamedSignal_SET_LEAP       <= PinSignal_U_DEBOUNCE_3_SW_OUT; -- ObjectKind=Net|PrimaryId=SET_LEAP
    NamedSignal_SET_SUB        <= PinSignal_U_DEBOUNCE_7_SW_OUT; -- ObjectKind=Net|PrimaryId=SET_SUB
    NamedSignal_SET_TZ         <= PinSignal_U_DEBOUNCE_2_SW_OUT; -- ObjectKind=Net|PrimaryId=SET_TZ
    NamedSignal_SET_UP         <= PinSignal_U_DEBOUNCE_4_SW_OUT; -- ObjectKind=Net|PrimaryId=SET_UP
    NamedSignal_SET_UTC        <= PinSignal_U_DEBOUNCE_1_SW_OUT; -- ObjectKind=Net|PrimaryId=SET_UTC
    NamedSignal_SYSRST         <= RST; -- ObjectKind=Net|PrimaryId=SYSRST
    NamedSignal_TIMEZONE       <= PinSignal_U_TZ_TZ; -- ObjectKind=Net|PrimaryId=TIMEZONE[5..0]
    NamedSignal_TZ_CHG         <= PinSignal_U_TZ_CHG; -- ObjectKind=Net|PrimaryId=TZ_CHG
    NamedSignal_TZ_OFFSET      <= PinSignal_U_TZ_OFFSET; -- ObjectKind=Net|PrimaryId=TZ_OFFSET[5..0]
    NamedSignal_TZ_SIGN        <= PinSignal_U_TZ_SIGN; -- ObjectKind=Net|PrimaryId=TZ_SIGN
    NamedSignal_VCC1_BUS       <= "11111111111111111111111111"; -- ObjectKind=Net|PrimaryId=VCC1_BUS[25..0]
    PowerSignal_GND            <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_GND_BUS        <= "0000000000"; -- ObjectKind=Net|PrimaryId=GND_BUS
    PowerSignal_VCC            <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    REAL_GPS                   <= NamedSignal_REAL_GPS; -- ObjectKind=Net|PrimaryId=GPS[31..0]
    REF_BITS                   <= PinSignal_U_IRIGB_GPS_BITS; -- ObjectKind=Net|PrimaryId=REF_BITS[88..0]
    STATUS                     <= PinSignal_U106_O; -- ObjectKind=Net|PrimaryId=STATUS[31..0]
    TZ_OFFSET                  <= NamedSignal_TZ_OFFSET; -- ObjectKind=Net|PrimaryId=TZ_OFFSET[5..0]
    TZ_SIGN                    <= NamedSignal_TZ_SIGN; -- ObjectKind=Net|PrimaryId=TZ_SIGN
    TZ_SWITCH                  <= NamedSignal_SET_TZ; -- ObjectKind=Net|PrimaryId=SET_TZ

End Structure;
------------------------------------------------------------

