------------------------------------------------------------
-- VHDL FPGAIrigB4
-- 2016 5 5 10 28 11
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 15.1.15.50867
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAIrigB4
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity FPGAIrigB4 Is
  port
  (
    BIG_DIFF           : Out   STD_LOGIC_VECTOR(31 DOWNTO 0); -- ObjectKind=Port|PrimaryId=BIG_DIFF[31..0]
    CLK                : In    STD_LOGIC;                    -- ObjectKind=Port|PrimaryId=CLK
    CNT                : In    STD_LOGIC_VECTOR(25 DOWNTO 0); -- ObjectKind=Port|PrimaryId=CNT[25..0]
    DECODEA            : Out   STD_LOGIC_VECTOR(31 DOWNTO 0); -- ObjectKind=Port|PrimaryId=DECODEA[31..0]
    DECODEB            : Out   STD_LOGIC_VECTOR(31 DOWNTO 0); -- ObjectKind=Port|PrimaryId=DECODEB[31..0]
    DECODEC            : Out   STD_LOGIC_VECTOR(31 DOWNTO 0); -- ObjectKind=Port|PrimaryId=DECODEC[31..0]
    IRIG               : In    STD_LOGIC;                    -- ObjectKind=Port|PrimaryId=IRIG
    LITTLE_DIFF        : Out   STD_LOGIC_VECTOR(31 DOWNTO 0); -- ObjectKind=Port|PrimaryId=LITTLE_DIFF[31..0]
    REF_1PPS           : In    STD_LOGIC;                    -- ObjectKind=Port|PrimaryId=REF_1PPS
    REF_BITS           : In    STD_LOGIC_VECTOR(88 DOWNTO 0); -- ObjectKind=Port|PrimaryId=REF_BITS[88..0]
    RST                : In    STD_LOGIC;                    -- ObjectKind=Port|PrimaryId=RST
    SIGN_BIG_DIFF      : Out   STD_LOGIC;                    -- ObjectKind=Port|PrimaryId=SIGN_BIG_DIFF
    SIGN_LITTLE_DIFF   : Out   STD_LOGIC;                    -- ObjectKind=Port|PrimaryId=SIGN_LITTLE_DIFF
    SIGNED_BIG_DIFF    : Out   STD_LOGIC_VECTOR(31 DOWNTO 0); -- ObjectKind=Port|PrimaryId=SIGNED_BIG_DIFF[31..0]
    SIGNED_LITTLE_DIFF : Out   STD_LOGIC_VECTOR(31 DOWNTO 0) -- ObjectKind=Port|PrimaryId=SIGNED_LITTLE_DIFF[31..0]
  );
  attribute MacroCell : boolean;

End FPGAIrigB4;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGAIrigB4 Is
   Component AND2N1S                                         -- ObjectKind=Part|PrimaryId=U121|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U121-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U121-O
      );
   End Component;

   Component CalculateLittleDiff                             -- ObjectKind=Sheet Symbol|PrimaryId=SubsecondTimeDifference
      port
      (
        CLK         : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=CalculateLittleDiff.Vhd-CLK
        COUNT       : in  STD_LOGIC_VECTOR(31 downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=CalculateLittleDiff.Vhd-COUNT[31..0]
        DIFF        : out STD_LOGIC_VECTOR(31 downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=CalculateLittleDiff.Vhd-DIFF[31..0]
        SIGN        : out STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=CalculateLittleDiff.Vhd-SIGN
        SIGNED_DIFF : out STD_LOGIC_VECTOR(31 downto 0)      -- ObjectKind=Sheet Entry|PrimaryId=CalculateLittleDiff.Vhd-SIGNED_DIFF[31..0]
      );
   End Component;

   Component CalculateTimeDateDiff                           -- ObjectKind=Sheet Symbol|PrimaryId=TimeDateDifference
      port
      (
        CLK         : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=CalculateTimeDateDiff.Vhd-CLK
        DIFF        : out STD_LOGIC_VECTOR(31 downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=CalculateTimeDateDiff.Vhd-DIFF[31..0]
        INA         : in  STD_LOGIC_VECTOR(31 downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=CalculateTimeDateDiff.Vhd-INA[31..0]
        INB         : in  STD_LOGIC_VECTOR(31 downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=CalculateTimeDateDiff.Vhd-INB[31..0]
        PPS         : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=CalculateTimeDateDiff.Vhd-PPS
        SIGN        : out STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=CalculateTimeDateDiff.Vhd-SIGN
        SIGNED_DIFF : out STD_LOGIC_VECTOR(31 downto 0)      -- ObjectKind=Sheet Entry|PrimaryId=CalculateTimeDateDiff.Vhd-SIGNED_DIFF[31..0]
      );
   End Component;

   Component Configurable_U107                               -- ObjectKind=Part|PrimaryId=U107|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U107-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U107-CE
        D_B : in  STD_LOGIC_VECTOR(88 downto 0);             -- ObjectKind=Pin|PrimaryId=U107-D_B[88..0]
        Q_B : out STD_LOGIC_VECTOR(88 downto 0)              -- ObjectKind=Pin|PrimaryId=U107-Q_B[88..0]
      );
   End Component;

   Component Configurable_U108                               -- ObjectKind=Part|PrimaryId=U108|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U108-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U108-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U108-CEO
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U108-CLR
        Q   : out STD_LOGIC_VECTOR(6 downto 0);              -- ObjectKind=Pin|PrimaryId=U108-Q[6..0]
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U108-TC
      );
   End Component;

   Component Configurable_U122                               -- ObjectKind=Part|PrimaryId=U122|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U122-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U122-CE
        D_B : in  STD_LOGIC_VECTOR(88 downto 0);             -- ObjectKind=Pin|PrimaryId=U122-D_B[88..0]
        Q_B : out STD_LOGIC_VECTOR(88 downto 0)              -- ObjectKind=Pin|PrimaryId=U122-Q_B[88..0]
      );
   End Component;

   Component Configurable_U125                               -- ObjectKind=Part|PrimaryId=U125|SecondaryId=1
      port
      (
        I    : in  STD_LOGIC_VECTOR(88 downto 0);            -- ObjectKind=Pin|PrimaryId=U125-I[88..0]
        O0_B : out STD_LOGIC_VECTOR(31 downto 0);            -- ObjectKind=Pin|PrimaryId=U125-O0_B[31..0]
        O1_B : out STD_LOGIC_VECTOR(31 downto 0);            -- ObjectKind=Pin|PrimaryId=U125-O1_B[31..0]
        O2_B : out STD_LOGIC_VECTOR(24 downto 0)             -- ObjectKind=Pin|PrimaryId=U125-O2_B[24..0]
      );
   End Component;

   Component Configurable_U126                               -- ObjectKind=Part|PrimaryId=U126|SecondaryId=1
      port
      (
        I0_B : in  STD_LOGIC_VECTOR(24 downto 0);            -- ObjectKind=Pin|PrimaryId=U126-I0_B[24..0]
        I1_B : in  STD_LOGIC_VECTOR(6 downto 0);             -- ObjectKind=Pin|PrimaryId=U126-I1_B[6..0]
        O    : out STD_LOGIC_VECTOR(31 downto 0)             -- ObjectKind=Pin|PrimaryId=U126-O[31..0]
      );
   End Component;

   Component ConvertToGPSSeconds                             -- ObjectKind=Sheet Symbol|PrimaryId=U_CONVGPS_0
      port
      (
        CLK  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=ConvertToGPSSeconds.Vhd-CLK
        GPS  : out STD_LOGIC_VECTOR(31 downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=ConvertToGPSSeconds.Vhd-GPS[31..0]
        IRIG : in  STD_LOGIC_VECTOR(88 downto 0)             -- ObjectKind=Sheet Entry|PrimaryId=ConvertToGPSSeconds.Vhd-IRIG[88..0]
      );
   End Component;

   Component FD                                              -- ObjectKind=Part|PrimaryId=U120|SecondaryId=1
      port
      (
        C : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U120-C
        D : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U120-D
        Q : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U120-Q
      );
   End Component;

   Component IRIGB_decoder                                   -- ObjectKind=Sheet Symbol|PrimaryId=U_irigb_decoder
      port
      (
        BITS    : out STD_LOGIC_VECTOR(88 downto 0);         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB_decoder.Vhd-BITS[88..0]
        CLK     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=IRIGB_decoder.Vhd-CLK
        INVALID : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=IRIGB_decoder.Vhd-INVALID
        IRIG    : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=IRIGB_decoder.Vhd-IRIG
        ONEPPS  : out STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=IRIGB_decoder.Vhd-ONEPPS
        RST     : in  STD_LOGIC;                             -- ObjectKind=Sheet Entry|PrimaryId=IRIGB_decoder.Vhd-RST
        VALID   : out STD_LOGIC                              -- ObjectKind=Sheet Entry|PrimaryId=IRIGB_decoder.Vhd-VALID
      );
   End Component;

   Component OnePPSCounter                                   -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifference
      port
      (
        CLK   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT : out STD_LOGIC_VECTOR(31 downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
        VALID : out STD_LOGIC                                -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-VALID
      );
   End Component;


    Signal NamedSignal_1PPS                              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS
    Signal NamedSignal_CLK                               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_CNT                               : STD_LOGIC_VECTOR(25 downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal NamedSignal_IRIG_1PPS                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IRIG_1PPS
    Signal NamedSignal_IRIG_BITS                         : STD_LOGIC_VECTOR(88 downto 0); -- ObjectKind=Net|PrimaryId=IRIG_BITS[88..0]
    Signal NamedSignal_IRIG_TRIG                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IRIG_TRIG
    Signal NamedSignal_TRIG                              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TRIG
    Signal PinSignal_SubsecondTimeDifference_DIFF        : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=LITTLE_DIFF[31..0]
    Signal PinSignal_SubsecondTimeDifference_SIGN        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SIGN
    Signal PinSignal_SubsecondTimeDifference_SIGNED_DIFF : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=SIGNED_LITTLE_DIFF[31..0]
    Signal PinSignal_TimeDateDifference_DIFF             : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=BIG_DIFF[31..0]
    Signal PinSignal_TimeDateDifference_SIGN             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SIGN
    Signal PinSignal_TimeDateDifference_SIGNED_DIFF      : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=SIGNED_BIG_DIFF[31..0]
    Signal PinSignal_TimeDifference_COUNT                : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=COUNT
    Signal PinSignal_U_CONVGPS_0_GPS                     : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INA
    Signal PinSignal_U_CONVGPS_1_GPS                     : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INB
    Signal PinSignal_U_irigb_decoder_BITS                : STD_LOGIC_VECTOR(88 downto 0); -- ObjectKind=Net|PrimaryId=BITS[88..0]
    Signal PinSignal_U_irigb_decoder_INVALID             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU108_CE
    Signal PinSignal_U_irigb_decoder_ONEPPS              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IRIG_1PPS
    Signal PinSignal_U107_Q_B                            : STD_LOGIC_VECTOR(88 downto 0); -- ObjectKind=Net|PrimaryId=NetU107_Q_B[88..0]
    Signal PinSignal_U108_Q                              : STD_LOGIC_VECTOR(6 downto 0); -- ObjectKind=Net|PrimaryId=ERRC[6..0]
    Signal PinSignal_U120_Q                              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU120_Q
    Signal PinSignal_U121_O                              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU121_O
    Signal PinSignal_U122_Q_B                            : STD_LOGIC_VECTOR(88 downto 0); -- ObjectKind=Net|PrimaryId=IRIG_BITS[88..0]
    Signal PinSignal_U123_Q                              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU123_Q
    Signal PinSignal_U124_O                              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IRIG_TRIG
    Signal PinSignal_U125_O0_B                           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=DECODEA[31..0]
    Signal PinSignal_U125_O1_B                           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=DECODEB[31..0]
    Signal PinSignal_U125_O2_B                           : STD_LOGIC_VECTOR(24 downto 0); -- ObjectKind=Net|PrimaryId=NetU125_O2_B[24..0]
    Signal PinSignal_U126_O                              : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=DECODEC[31..0]
    Signal PinSignal_U129_Q                              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TRIG
    Signal PowerSignal_GND                               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND

Begin
    U_irigb_decoder : IRIGB_decoder                          -- ObjectKind=Sheet Symbol|PrimaryId=U_irigb_decoder
      Port Map
      (
        BITS    => PinSignal_U_irigb_decoder_BITS,           -- ObjectKind=Sheet Entry|PrimaryId=IRIGB_decoder.Vhd-BITS[88..0]
        CLK     => CLK,                                      -- ObjectKind=Sheet Entry|PrimaryId=IRIGB_decoder.Vhd-CLK
        INVALID => PinSignal_U_irigb_decoder_INVALID,        -- ObjectKind=Sheet Entry|PrimaryId=IRIGB_decoder.Vhd-INVALID
        IRIG    => IRIG,                                     -- ObjectKind=Sheet Entry|PrimaryId=IRIGB_decoder.Vhd-IRIG
        ONEPPS  => PinSignal_U_irigb_decoder_ONEPPS,         -- ObjectKind=Sheet Entry|PrimaryId=IRIGB_decoder.Vhd-ONEPPS
        RST     => RST                                       -- ObjectKind=Sheet Entry|PrimaryId=IRIGB_decoder.Vhd-RST
      );

    U_CONVGPS_1 : ConvertToGPSSeconds                        -- ObjectKind=Sheet Symbol|PrimaryId=U_CONVGPS_1
      Port Map
      (
        CLK  => NamedSignal_CLK,                             -- ObjectKind=Sheet Entry|PrimaryId=ConvertToGPSSeconds.Vhd-CLK
        GPS  => PinSignal_U_CONVGPS_1_GPS,                   -- ObjectKind=Sheet Entry|PrimaryId=ConvertToGPSSeconds.Vhd-GPS[31..0]
        IRIG => NamedSignal_IRIG_BITS                        -- ObjectKind=Sheet Entry|PrimaryId=ConvertToGPSSeconds.Vhd-IRIG[88..0]
      );

    U_CONVGPS_0 : ConvertToGPSSeconds                        -- ObjectKind=Sheet Symbol|PrimaryId=U_CONVGPS_0
      Port Map
      (
        CLK  => NamedSignal_CLK,                             -- ObjectKind=Sheet Entry|PrimaryId=ConvertToGPSSeconds.Vhd-CLK
        GPS  => PinSignal_U_CONVGPS_0_GPS,                   -- ObjectKind=Sheet Entry|PrimaryId=ConvertToGPSSeconds.Vhd-GPS[31..0]
        IRIG => REF_BITS                                     -- ObjectKind=Sheet Entry|PrimaryId=ConvertToGPSSeconds.Vhd-IRIG[88..0]
      );

    TimeDifference : OnePPSCounter                           -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifference
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT => PinSignal_TimeDifference_COUNT,             -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   => PinSignal_U_irigb_decoder_ONEPPS,           -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   => REF_1PPS                                    -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
      );

    TimeDateDifference : CalculateTimeDateDiff               -- ObjectKind=Sheet Symbol|PrimaryId=TimeDateDifference
      Port Map
      (
        CLK         => NamedSignal_CLK,                      -- ObjectKind=Sheet Entry|PrimaryId=CalculateTimeDateDiff.Vhd-CLK
        DIFF        => PinSignal_TimeDateDifference_DIFF,    -- ObjectKind=Sheet Entry|PrimaryId=CalculateTimeDateDiff.Vhd-DIFF[31..0]
        INA         => PinSignal_U_CONVGPS_0_GPS,            -- ObjectKind=Sheet Entry|PrimaryId=CalculateTimeDateDiff.Vhd-INA[31..0]
        INB         => PinSignal_U_CONVGPS_1_GPS,            -- ObjectKind=Sheet Entry|PrimaryId=CalculateTimeDateDiff.Vhd-INB[31..0]
        PPS         => NamedSignal_1PPS,                     -- ObjectKind=Sheet Entry|PrimaryId=CalculateTimeDateDiff.Vhd-PPS
        SIGN        => PinSignal_TimeDateDifference_SIGN,    -- ObjectKind=Sheet Entry|PrimaryId=CalculateTimeDateDiff.Vhd-SIGN
        SIGNED_DIFF => PinSignal_TimeDateDifference_SIGNED_DIFF -- ObjectKind=Sheet Entry|PrimaryId=CalculateTimeDateDiff.Vhd-SIGNED_DIFF[31..0]
      );

    SubsecondTimeDifference : CalculateLittleDiff            -- ObjectKind=Sheet Symbol|PrimaryId=SubsecondTimeDifference
      Port Map
      (
        CLK         => NamedSignal_CLK,                      -- ObjectKind=Sheet Entry|PrimaryId=CalculateLittleDiff.Vhd-CLK
        COUNT       => PinSignal_TimeDifference_COUNT,       -- ObjectKind=Sheet Entry|PrimaryId=CalculateLittleDiff.Vhd-COUNT[31..0]
        DIFF        => PinSignal_SubsecondTimeDifference_DIFF, -- ObjectKind=Sheet Entry|PrimaryId=CalculateLittleDiff.Vhd-DIFF[31..0]
        SIGN        => PinSignal_SubsecondTimeDifference_SIGN, -- ObjectKind=Sheet Entry|PrimaryId=CalculateLittleDiff.Vhd-SIGN
        SIGNED_DIFF => PinSignal_SubsecondTimeDifference_SIGNED_DIFF -- ObjectKind=Sheet Entry|PrimaryId=CalculateLittleDiff.Vhd-SIGNED_DIFF[31..0]
      );

    U129 : FD                                                -- ObjectKind=Part|PrimaryId=U129|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U129-C
        D => PinSignal_U121_O,                               -- ObjectKind=Pin|PrimaryId=U129-D
        Q => PinSignal_U129_Q                                -- ObjectKind=Pin|PrimaryId=U129-Q
      );

    U126 : Configurable_U126                                 -- ObjectKind=Part|PrimaryId=U126|SecondaryId=1
      Port Map
      (
        I0_B => PinSignal_U125_O2_B,                         -- ObjectKind=Pin|PrimaryId=U126-I0_B[24..0]
        I1_B => PinSignal_U108_Q,                            -- ObjectKind=Pin|PrimaryId=U126-I1_B[6..0]
        O    => PinSignal_U126_O                             -- ObjectKind=Pin|PrimaryId=U126-O[31..0]
      );

    U125 : Configurable_U125                                 -- ObjectKind=Part|PrimaryId=U125|SecondaryId=1
      Port Map
      (
        I    => PinSignal_U122_Q_B,                          -- ObjectKind=Pin|PrimaryId=U125-I[88..0]
        O0_B => PinSignal_U125_O0_B,                         -- ObjectKind=Pin|PrimaryId=U125-O0_B[31..0]
        O1_B => PinSignal_U125_O1_B,                         -- ObjectKind=Pin|PrimaryId=U125-O1_B[31..0]
        O2_B => PinSignal_U125_O2_B                          -- ObjectKind=Pin|PrimaryId=U125-O2_B[24..0]
      );

    U124 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U124|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U123_Q,                              -- ObjectKind=Pin|PrimaryId=U124-I0
        I1 => NamedSignal_IRIG_1PPS,                         -- ObjectKind=Pin|PrimaryId=U124-I1
        O  => PinSignal_U124_O                               -- ObjectKind=Pin|PrimaryId=U124-O
      );

    U123 : FD                                                -- ObjectKind=Part|PrimaryId=U123|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U123-C
        D => NamedSignal_IRIG_1PPS,                          -- ObjectKind=Pin|PrimaryId=U123-D
        Q => PinSignal_U123_Q                                -- ObjectKind=Pin|PrimaryId=U123-Q
      );

    U122 : Configurable_U122                                 -- ObjectKind=Part|PrimaryId=U122|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U122-C
        CE  => NamedSignal_TRIG,                             -- ObjectKind=Pin|PrimaryId=U122-CE
        D_B => PinSignal_U107_Q_B,                           -- ObjectKind=Pin|PrimaryId=U122-D_B[88..0]
        Q_B => PinSignal_U122_Q_B                            -- ObjectKind=Pin|PrimaryId=U122-Q_B[88..0]
      );

    U121 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U121|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U120_Q,                              -- ObjectKind=Pin|PrimaryId=U121-I0
        I1 => NamedSignal_CNT(25),                           -- ObjectKind=Pin|PrimaryId=U121-I1
        O  => PinSignal_U121_O                               -- ObjectKind=Pin|PrimaryId=U121-O
      );

    U120 : FD                                                -- ObjectKind=Part|PrimaryId=U120|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U120-C
        D => NamedSignal_CNT(25),                            -- ObjectKind=Pin|PrimaryId=U120-D
        Q => PinSignal_U120_Q                                -- ObjectKind=Pin|PrimaryId=U120-Q
      );

    U108 : Configurable_U108                                 -- ObjectKind=Part|PrimaryId=U108|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U108-C
        CE  => PinSignal_U_irigb_decoder_INVALID,            -- ObjectKind=Pin|PrimaryId=U108-CE
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U108-CLR
        Q   => PinSignal_U108_Q                              -- ObjectKind=Pin|PrimaryId=U108-Q[6..0]
      );

    U107 : Configurable_U107                                 -- ObjectKind=Part|PrimaryId=U107|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U107-C
        CE  => NamedSignal_IRIG_TRIG,                        -- ObjectKind=Pin|PrimaryId=U107-CE
        D_B => PinSignal_U_irigb_decoder_BITS,               -- ObjectKind=Pin|PrimaryId=U107-D_B[88..0]
        Q_B => PinSignal_U107_Q_B                            -- ObjectKind=Pin|PrimaryId=U107-Q_B[88..0]
      );

    -- Signal Assignments
    ---------------------
    BIG_DIFF              <= PinSignal_TimeDateDifference_DIFF; -- ObjectKind=Net|PrimaryId=BIG_DIFF[31..0]
    DECODEA               <= PinSignal_U125_O0_B; -- ObjectKind=Net|PrimaryId=DECODEA[31..0]
    DECODEB               <= PinSignal_U125_O1_B; -- ObjectKind=Net|PrimaryId=DECODEB[31..0]
    DECODEC               <= PinSignal_U126_O; -- ObjectKind=Net|PrimaryId=DECODEC[31..0]
    LITTLE_DIFF           <= PinSignal_SubsecondTimeDifference_DIFF; -- ObjectKind=Net|PrimaryId=LITTLE_DIFF[31..0]
    NamedSignal_1PPS      <= REF_1PPS; -- ObjectKind=Net|PrimaryId=1PPS
    NamedSignal_CLK       <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_CNT       <= CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    NamedSignal_IRIG_1PPS <= PinSignal_U_irigb_decoder_ONEPPS; -- ObjectKind=Net|PrimaryId=IRIG_1PPS
    NamedSignal_IRIG_BITS <= PinSignal_U122_Q_B; -- ObjectKind=Net|PrimaryId=IRIG_BITS[88..0]
    NamedSignal_IRIG_TRIG <= PinSignal_U124_O; -- ObjectKind=Net|PrimaryId=IRIG_TRIG
    NamedSignal_TRIG      <= PinSignal_U129_Q; -- ObjectKind=Net|PrimaryId=TRIG
    PowerSignal_GND       <= '0'; -- ObjectKind=Net|PrimaryId=GND
    SIGN_BIG_DIFF         <= PinSignal_TimeDateDifference_SIGN; -- ObjectKind=Net|PrimaryId=SIGN
    SIGN_LITTLE_DIFF      <= PinSignal_SubsecondTimeDifference_SIGN; -- ObjectKind=Net|PrimaryId=SIGN
    SIGNED_BIG_DIFF       <= PinSignal_TimeDateDifference_SIGNED_DIFF; -- ObjectKind=Net|PrimaryId=SIGNED_BIG_DIFF[31..0]
    SIGNED_LITTLE_DIFF    <= PinSignal_SubsecondTimeDifference_SIGNED_DIFF; -- ObjectKind=Net|PrimaryId=SIGNED_LITTLE_DIFF[31..0]

End Structure;
------------------------------------------------------------

