------------------------------------------------------------
-- VHDL FPGAIrigB5
-- 2016 5 5 10 28 11
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 15.1.15.50867
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAIrigB5
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity FPGAIrigB5 Is
  port
  (
    X_1PPS      : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=1PPS
    CLK         : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=CLK
    CNT         : In    STD_LOGIC_VECTOR(25 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=CNT[25..0]
    GPS         : In    STD_LOGIC_VECTOR(31 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=GPS[31..0]
    LEAP        : In    STD_LOGIC_VECTOR(7 DOWNTO 0);        -- ObjectKind=Port|PrimaryId=LEAP[7..0]
    LEAP_SWITCH : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=LEAP_SWITCH
    RST         : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=RST
    SEN         : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SEN
    SIN1        : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SIN1
    SIN2        : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SIN2
    SOUT        : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SOUT
    TZ_OFFSET   : In    STD_LOGIC_VECTOR(5 DOWNTO 0);        -- ObjectKind=Port|PrimaryId=TZ_OFFSET[5..0]
    TZ_SIGN     : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TZ_SIGN
    TZ_SWITCH   : In    STD_LOGIC                            -- ObjectKind=Port|PrimaryId=TZ_SWITCH
  );
  attribute MacroCell : boolean;

End FPGAIrigB5;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGAIrigB5 Is
   Component Configurable_U219                               -- ObjectKind=Part|PrimaryId=U219|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U219-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U219-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U219-CEO
        Q   : out STD_LOGIC_VECTOR(26 downto 0);             -- ObjectKind=Pin|PrimaryId=U219-Q[26..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U219-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U219-TC
      );
   End Component;

   Component Configurable_U221                               -- ObjectKind=Part|PrimaryId=U221|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U221-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U221-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U221-CEO
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U221-CLR
        D   : in  STD_LOGIC_VECTOR(26 downto 0);             -- ObjectKind=Pin|PrimaryId=U221-D[26..0]
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U221-L
        Q   : out STD_LOGIC_VECTOR(26 downto 0);             -- ObjectKind=Pin|PrimaryId=U221-Q[26..0]
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U221-TC
      );
   End Component;

   Component DisplayDriverED                                 -- ObjectKind=Sheet Symbol|PrimaryId=U_dispdriver
      port
      (
        BCD    : out STD_LOGIC_VECTOR(39 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-BCD[39..0]
        BUSY   : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-BUSY
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-CLK
        CNT    : in  STD_LOGIC_VECTOR(25 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-CNT[25..0]
        DIN    : in  STD_LOGIC_VECTOR(7 downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-DIN[7..0]
        DOUT   : out STD_LOGIC_VECTOR(7 downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-DOUT[7..0]
        ENABLE : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-ENABLE
        ERR    : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-ERR
        IS422  : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-IS422
        LD     : out STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-LD
        MESS   : in  STD_LOGIC_VECTOR(79 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-MESS[79..0]
        ONEPPS : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-ONEPPS
        RDY    : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-RDY
        RST    : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-RST
        SEND   : out STD_LOGIC                               -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-SEND
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U218|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U218-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U218-O
      );
   End Component;

   Component M1_S2S1                                         -- ObjectKind=Part|PrimaryId=U222|SecondaryId=1
      port
      (
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U222-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U222-D1
        O  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U222-O
        S0 : in  STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U222-S0
      );
   End Component;

   Component MessageMUX                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_MESSAGE_MUX
      port
      (
        CLK         : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=MessageMUX.Vhd-CLK
        GPS_MESS    : in  STD_LOGIC_VECTOR(79 downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=MessageMUX.Vhd-GPS_MESS[79..0]
        LEAP_MESS   : in  STD_LOGIC_VECTOR(79 downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=MessageMUX.Vhd-LEAP_MESS[79..0]
        LEAP_SWITCH : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=MessageMUX.Vhd-LEAP_SWITCH
        OUT_MESS    : out STD_LOGIC_VECTOR(79 downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=MessageMUX.Vhd-OUT_MESS[79..0]
        TZ_MESS     : in  STD_LOGIC_VECTOR(79 downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=MessageMUX.Vhd-TZ_MESS[79..0]
        TZ_SWITCH   : in  STD_LOGIC                          -- ObjectKind=Sheet Entry|PrimaryId=MessageMUX.Vhd-TZ_SWITCH
      );
   End Component;

   Component UART                                            -- ObjectKind=Sheet Symbol|PrimaryId=U_uart
      port
      (
        BUSY : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-BUSY
        CLK  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-CLK
        DIN  : in  STD_LOGIC_VECTOR(7 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DIN[7..0]
        DIV  : in  STD_LOGIC_VECTOR(15 downto 0);            -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DIV[15..0]
        DOUT : out STD_LOGIC_VECTOR(7 downto 0);             -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DOUT[7..0]
        ERR  : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-ERR
        LD   : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-LD
        RDY  : out STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RDY
        RST  : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RST
        RX   : in  STD_LOGIC;                                -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RX
        TX   : out STD_LOGIC                                 -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-TX
      );
   End Component;

   Component WriteGPSMessage                                 -- ObjectKind=Sheet Symbol|PrimaryId=U_ENCODE_GPS
      port
      (
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=WriteGPSMessage.Vhd-CLK
        GPS    : in  STD_LOGIC_VECTOR(31 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=WriteGPSMessage.Vhd-GPS[31..0]
        MESS   : out STD_LOGIC_VECTOR(79 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=WriteGPSMessage.Vhd-MESS[79..0]
        ONEPPS : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=WriteGPSMessage.Vhd-ONEPPS
        RST    : in  STD_LOGIC                               -- ObjectKind=Sheet Entry|PrimaryId=WriteGPSMessage.Vhd-RST
      );
   End Component;

   Component WriteLEAPMessage                                -- ObjectKind=Sheet Symbol|PrimaryId=U_ENCODE_LEAP
      port
      (
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=WriteLEAPMessage.Vhd-CLK
        LEAP   : in  STD_LOGIC_VECTOR(7 downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=WriteLEAPMessage.Vhd-LEAP[7..0]
        MESS   : out STD_LOGIC_VECTOR(79 downto 0);          -- ObjectKind=Sheet Entry|PrimaryId=WriteLEAPMessage.Vhd-MESS[79..0]
        ONEPPS : in  STD_LOGIC;                              -- ObjectKind=Sheet Entry|PrimaryId=WriteLEAPMessage.Vhd-ONEPPS
        RST    : in  STD_LOGIC                               -- ObjectKind=Sheet Entry|PrimaryId=WriteLEAPMessage.Vhd-RST
      );
   End Component;

   Component WriteTZMessage                                  -- ObjectKind=Sheet Symbol|PrimaryId=U_ENCODE_TZ
      port
      (
        CLK       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=WriteTZMessage.Vhd-CLK
        MESS      : out STD_LOGIC_VECTOR(79 downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=WriteTZMessage.Vhd-MESS[79..0]
        ONEPPS    : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=WriteTZMessage.Vhd-ONEPPS
        RST       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=WriteTZMessage.Vhd-RST
        TZ_OFFSET : in  STD_LOGIC_VECTOR(5 downto 0);        -- ObjectKind=Sheet Entry|PrimaryId=WriteTZMessage.Vhd-TZ_OFFSET[5..0]
        TZ_SIGN   : in  STD_LOGIC                            -- ObjectKind=Sheet Entry|PrimaryId=WriteTZMessage.Vhd-TZ_SIGN
      );
   End Component;


    Signal NamedSignal_1PPS                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPS
    Signal NamedSignal_C1DIV                : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=C1DIV[15..0]
    Signal NamedSignal_CLK                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_CNT                  : STD_LOGIC_VECTOR(25 downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal NamedSignal_GPS_MESS             : STD_LOGIC_VECTOR(79 downto 0); -- ObjectKind=Net|PrimaryId=GPS_MESS[79..0]
    Signal NamedSignal_IS422                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IS422
    Signal NamedSignal_IS485                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IS485
    Signal NamedSignal_ISOK                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ISOK
    Signal NamedSignal_LEAP_MESS            : STD_LOGIC_VECTOR(79 downto 0); -- ObjectKind=Net|PrimaryId=LEAP_MESS[79..0]
    Signal NamedSignal_MESS                 : STD_LOGIC_VECTOR(79 downto 0); -- ObjectKind=Net|PrimaryId=MESS[79..0]
    Signal NamedSignal_RST                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST
    Signal NamedSignal_RX                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RX
    Signal NamedSignal_SEND                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SEND
    Signal NamedSignal_TZ_MESS              : STD_LOGIC_VECTOR(79 downto 0); -- ObjectKind=Net|PrimaryId=TZ_MESS[79..0]
    Signal NamedSignal_VCC1_BUS             : STD_LOGIC_VECTOR(26 downto 0); -- ObjectKind=Net|PrimaryId=VCC1_BUS[26..0]
    Signal PinSignal_U_dispdriver_BCD       : STD_LOGIC_VECTOR(39 downto 0); -- ObjectKind=Net|PrimaryId=BCD[39..0]
    Signal PinSignal_U_dispdriver_DOUT      : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=RCV[7..0]
    Signal PinSignal_U_dispdriver_LD        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LD
    Signal PinSignal_U_dispdriver_SEND      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SEND
    Signal PinSignal_U_ENCODE_GPS_MESS      : STD_LOGIC_VECTOR(79 downto 0); -- ObjectKind=Net|PrimaryId=GPS_MESS[79..0]
    Signal PinSignal_U_ENCODE_LEAP_MESS     : STD_LOGIC_VECTOR(79 downto 0); -- ObjectKind=Net|PrimaryId=LEAP_MESS[79..0]
    Signal PinSignal_U_ENCODE_TZ_MESS       : STD_LOGIC_VECTOR(79 downto 0); -- ObjectKind=Net|PrimaryId=TZ_MESS[79..0]
    Signal PinSignal_U_MESSAGE_MUX_OUT_MESS : STD_LOGIC_VECTOR(79 downto 0); -- ObjectKind=Net|PrimaryId=MESS[79..0]
    Signal PinSignal_U_uart_BUSY            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=BSY
    Signal PinSignal_U_uart_DOUT            : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=SND[7..0]
    Signal PinSignal_U_uart_ERR             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ERR
    Signal PinSignal_U_uart_RDY             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDY
    Signal PinSignal_U_uart_TX              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TX
    Signal PinSignal_U218_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU218_O
    Signal PinSignal_U219_TC                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ISOK
    Signal PinSignal_U220_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IS422
    Signal PinSignal_U221_TC                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IS485
    Signal PinSignal_U222_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RX
    Signal PinSignal_U223_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU222_D1
    Signal PinSignal_U224_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU224_O
    Signal PinSignal_U225_O                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU224_D1
    Signal PowerSignal_GND                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    U_uart : UART                                            -- ObjectKind=Sheet Symbol|PrimaryId=U_uart
      Port Map
      (
        BUSY => PinSignal_U_uart_BUSY,                       -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-BUSY
        CLK  => NamedSignal_CLK,                             -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-CLK
        DIN  => PinSignal_U_dispdriver_DOUT,                 -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DIN[7..0]
        DIV  => NamedSignal_C1DIV,                           -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DIV[15..0]
        DOUT => PinSignal_U_uart_DOUT,                       -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-DOUT[7..0]
        ERR  => PinSignal_U_uart_ERR,                        -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-ERR
        LD   => PinSignal_U_dispdriver_LD,                   -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-LD
        RDY  => PinSignal_U_uart_RDY,                        -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RDY
        RST  => NamedSignal_RST,                             -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RST
        RX   => NamedSignal_RX,                              -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-RX
        TX   => PinSignal_U_uart_TX                          -- ObjectKind=Sheet Entry|PrimaryId=UART.Vhd-TX
      );

    U_MESSAGE_MUX : MessageMUX                               -- ObjectKind=Sheet Symbol|PrimaryId=U_MESSAGE_MUX
      Port Map
      (
        CLK         => NamedSignal_CLK,                      -- ObjectKind=Sheet Entry|PrimaryId=MessageMUX.Vhd-CLK
        GPS_MESS    => NamedSignal_GPS_MESS,                 -- ObjectKind=Sheet Entry|PrimaryId=MessageMUX.Vhd-GPS_MESS[79..0]
        LEAP_MESS   => NamedSignal_LEAP_MESS,                -- ObjectKind=Sheet Entry|PrimaryId=MessageMUX.Vhd-LEAP_MESS[79..0]
        LEAP_SWITCH => LEAP_SWITCH,                          -- ObjectKind=Sheet Entry|PrimaryId=MessageMUX.Vhd-LEAP_SWITCH
        OUT_MESS    => PinSignal_U_MESSAGE_MUX_OUT_MESS,     -- ObjectKind=Sheet Entry|PrimaryId=MessageMUX.Vhd-OUT_MESS[79..0]
        TZ_MESS     => NamedSignal_TZ_MESS,                  -- ObjectKind=Sheet Entry|PrimaryId=MessageMUX.Vhd-TZ_MESS[79..0]
        TZ_SWITCH   => TZ_SWITCH                             -- ObjectKind=Sheet Entry|PrimaryId=MessageMUX.Vhd-TZ_SWITCH
      );

    U_ENCODE_TZ : WriteTZMessage                             -- ObjectKind=Sheet Symbol|PrimaryId=U_ENCODE_TZ
      Port Map
      (
        CLK       => NamedSignal_CLK,                        -- ObjectKind=Sheet Entry|PrimaryId=WriteTZMessage.Vhd-CLK
        MESS      => PinSignal_U_ENCODE_TZ_MESS,             -- ObjectKind=Sheet Entry|PrimaryId=WriteTZMessage.Vhd-MESS[79..0]
        ONEPPS    => NamedSignal_1PPS,                       -- ObjectKind=Sheet Entry|PrimaryId=WriteTZMessage.Vhd-ONEPPS
        RST       => NamedSignal_RST,                        -- ObjectKind=Sheet Entry|PrimaryId=WriteTZMessage.Vhd-RST
        TZ_OFFSET => TZ_OFFSET,                              -- ObjectKind=Sheet Entry|PrimaryId=WriteTZMessage.Vhd-TZ_OFFSET[5..0]
        TZ_SIGN   => TZ_SIGN                                 -- ObjectKind=Sheet Entry|PrimaryId=WriteTZMessage.Vhd-TZ_SIGN
      );

    U_ENCODE_LEAP : WriteLEAPMessage                         -- ObjectKind=Sheet Symbol|PrimaryId=U_ENCODE_LEAP
      Port Map
      (
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=WriteLEAPMessage.Vhd-CLK
        LEAP   => LEAP,                                      -- ObjectKind=Sheet Entry|PrimaryId=WriteLEAPMessage.Vhd-LEAP[7..0]
        MESS   => PinSignal_U_ENCODE_LEAP_MESS,              -- ObjectKind=Sheet Entry|PrimaryId=WriteLEAPMessage.Vhd-MESS[79..0]
        ONEPPS => NamedSignal_1PPS,                          -- ObjectKind=Sheet Entry|PrimaryId=WriteLEAPMessage.Vhd-ONEPPS
        RST    => NamedSignal_RST                            -- ObjectKind=Sheet Entry|PrimaryId=WriteLEAPMessage.Vhd-RST
      );

    U_ENCODE_GPS : WriteGPSMessage                           -- ObjectKind=Sheet Symbol|PrimaryId=U_ENCODE_GPS
      Port Map
      (
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=WriteGPSMessage.Vhd-CLK
        GPS    => GPS,                                       -- ObjectKind=Sheet Entry|PrimaryId=WriteGPSMessage.Vhd-GPS[31..0]
        MESS   => PinSignal_U_ENCODE_GPS_MESS,               -- ObjectKind=Sheet Entry|PrimaryId=WriteGPSMessage.Vhd-MESS[79..0]
        ONEPPS => NamedSignal_1PPS,                          -- ObjectKind=Sheet Entry|PrimaryId=WriteGPSMessage.Vhd-ONEPPS
        RST    => NamedSignal_RST                            -- ObjectKind=Sheet Entry|PrimaryId=WriteGPSMessage.Vhd-RST
      );

    U_dispdriver : DisplayDriverED                           -- ObjectKind=Sheet Symbol|PrimaryId=U_dispdriver
      Port Map
      (
        BCD    => PinSignal_U_dispdriver_BCD,                -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-BCD[39..0]
        BUSY   => PinSignal_U_uart_BUSY,                     -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-BUSY
        CLK    => NamedSignal_CLK,                           -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-CLK
        CNT    => NamedSignal_CNT,                           -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-CNT[25..0]
        DIN    => PinSignal_U_uart_DOUT,                     -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-DIN[7..0]
        DOUT   => PinSignal_U_dispdriver_DOUT,               -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-DOUT[7..0]
        ENABLE => NamedSignal_ISOK,                          -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-ENABLE
        ERR    => PinSignal_U_uart_ERR,                      -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-ERR
        IS422  => NamedSignal_IS422,                         -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-IS422
        LD     => PinSignal_U_dispdriver_LD,                 -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-LD
        MESS   => NamedSignal_MESS,                          -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-MESS[79..0]
        ONEPPS => NamedSignal_1PPS,                          -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-ONEPPS
        RDY    => PinSignal_U_uart_RDY,                      -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-RDY
        RST    => NamedSignal_RST,                           -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-RST
        SEND   => PinSignal_U_dispdriver_SEND                -- ObjectKind=Sheet Entry|PrimaryId=DisplayDriverED.Vhd-SEND
      );

    U225 : M1_S2S1                                           -- ObjectKind=Part|PrimaryId=U225|SecondaryId=1
      Port Map
      (
        D0 => NamedSignal_SEND,                              -- ObjectKind=Pin|PrimaryId=U225-D0
        D1 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U225-D1
        O  => PinSignal_U225_O,                              -- ObjectKind=Pin|PrimaryId=U225-O
        S0 => NamedSignal_IS422                              -- ObjectKind=Pin|PrimaryId=U225-S0
      );

    U224 : M1_S2S1                                           -- ObjectKind=Part|PrimaryId=U224|SecondaryId=1
      Port Map
      (
        D0 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U224-D0
        D1 => PinSignal_U225_O,                              -- ObjectKind=Pin|PrimaryId=U224-D1
        O  => PinSignal_U224_O,                              -- ObjectKind=Pin|PrimaryId=U224-O
        S0 => NamedSignal_ISOK                               -- ObjectKind=Pin|PrimaryId=U224-S0
      );

    U223 : M1_S2S1                                           -- ObjectKind=Part|PrimaryId=U223|SecondaryId=1
      Port Map
      (
        D0 => SIN1,                                          -- ObjectKind=Pin|PrimaryId=U223-D0
        D1 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U223-D1
        O  => PinSignal_U223_O,                              -- ObjectKind=Pin|PrimaryId=U223-O
        S0 => NamedSignal_SEND                               -- ObjectKind=Pin|PrimaryId=U223-S0
      );

    U222 : M1_S2S1                                           -- ObjectKind=Part|PrimaryId=U222|SecondaryId=1
      Port Map
      (
        D0 => SIN2,                                          -- ObjectKind=Pin|PrimaryId=U222-D0
        D1 => PinSignal_U223_O,                              -- ObjectKind=Pin|PrimaryId=U222-D1
        O  => PinSignal_U222_O,                              -- ObjectKind=Pin|PrimaryId=U222-O
        S0 => NamedSignal_IS485                              -- ObjectKind=Pin|PrimaryId=U222-S0
      );

    U221 : Configurable_U221                                 -- ObjectKind=Part|PrimaryId=U221|SecondaryId=1
      Port Map
      (
        C   => CLK,                                          -- ObjectKind=Pin|PrimaryId=U221-C
        CE  => PinSignal_U220_O,                             -- ObjectKind=Pin|PrimaryId=U221-CE
        CLR => SIN2,                                         -- ObjectKind=Pin|PrimaryId=U221-CLR
        D   => NamedSignal_VCC1_BUS,                         -- ObjectKind=Pin|PrimaryId=U221-D[26..0]
        L   => RST,                                          -- ObjectKind=Pin|PrimaryId=U221-L
        TC  => PinSignal_U221_TC                             -- ObjectKind=Pin|PrimaryId=U221-TC
      );

    U220 : INV                                               -- ObjectKind=Part|PrimaryId=U220|SecondaryId=1
      Port Map
      (
        I => PinSignal_U221_TC,                              -- ObjectKind=Pin|PrimaryId=U220-I
        O => PinSignal_U220_O                                -- ObjectKind=Pin|PrimaryId=U220-O
      );

    U219 : Configurable_U219                                 -- ObjectKind=Part|PrimaryId=U219|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U219-C
        CE => PinSignal_U218_O,                              -- ObjectKind=Pin|PrimaryId=U219-CE
        R  => NamedSignal_RST,                               -- ObjectKind=Pin|PrimaryId=U219-R
        TC => PinSignal_U219_TC                              -- ObjectKind=Pin|PrimaryId=U219-TC
      );

    U218 : INV                                               -- ObjectKind=Part|PrimaryId=U218|SecondaryId=1
      Port Map
      (
        I => PinSignal_U219_TC,                              -- ObjectKind=Pin|PrimaryId=U218-I
        O => PinSignal_U218_O                                -- ObjectKind=Pin|PrimaryId=U218-O
      );

    -- Signal Assignments
    ---------------------
    NamedSignal_1PPS      <= X_1PPS; -- ObjectKind=Net|PrimaryId=1PPS
    NamedSignal_C1DIV     <= "0000110110100110"; -- ObjectKind=Net|PrimaryId=C1DIV[15..0]
    NamedSignal_CLK       <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_CNT       <= CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    NamedSignal_GPS_MESS  <= PinSignal_U_ENCODE_GPS_MESS; -- ObjectKind=Net|PrimaryId=GPS_MESS[79..0]
    NamedSignal_IS422     <= PinSignal_U220_O; -- ObjectKind=Net|PrimaryId=IS422
    NamedSignal_IS485     <= PinSignal_U221_TC; -- ObjectKind=Net|PrimaryId=IS485
    NamedSignal_ISOK      <= PinSignal_U219_TC; -- ObjectKind=Net|PrimaryId=ISOK
    NamedSignal_LEAP_MESS <= PinSignal_U_ENCODE_LEAP_MESS; -- ObjectKind=Net|PrimaryId=LEAP_MESS[79..0]
    NamedSignal_MESS      <= PinSignal_U_MESSAGE_MUX_OUT_MESS; -- ObjectKind=Net|PrimaryId=MESS[79..0]
    NamedSignal_RST       <= RST; -- ObjectKind=Net|PrimaryId=RST
    NamedSignal_RX        <= PinSignal_U222_O; -- ObjectKind=Net|PrimaryId=RX
    NamedSignal_SEND      <= PinSignal_U_dispdriver_SEND; -- ObjectKind=Net|PrimaryId=SEND
    NamedSignal_TZ_MESS   <= PinSignal_U_ENCODE_TZ_MESS; -- ObjectKind=Net|PrimaryId=TZ_MESS[79..0]
    NamedSignal_VCC1_BUS  <= "111111111111111111111111111"; -- ObjectKind=Net|PrimaryId=VCC1_BUS[26..0]
    PowerSignal_GND       <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC       <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    SEN                   <= PinSignal_U224_O; -- ObjectKind=Net|PrimaryId=NetU224_O
    SOUT                  <= PinSignal_U_uart_TX; -- ObjectKind=Net|PrimaryId=TX

End Structure;
------------------------------------------------------------

