------------------------------------------------------------
-- VHDL FPGAIrigB6
-- 2016 5 5 10 28 11
-- Created By "Altium Designer VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 15.1.15.50867
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAIrigB6
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

Entity FPGAIrigB6 Is
  port
  (
    X_1PPS    : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=1PPS
    ACLK      : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=ACLK
    ACNV      : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=ACNV
    AIN       : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=AIN
    CLK       : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CLK
    CNT       : In    STD_LOGIC_VECTOR(25 DOWNTO 0);         -- ObjectKind=Port|PrimaryId=CNT[25..0]
    RST       : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=RST
    START     : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=START
    VCXO_CTRL : Out   STD_LOGIC_VECTOR(15 DOWNTO 0)          -- ObjectKind=Port|PrimaryId=VCXO_CTRL[15..0]
  );
  attribute MacroCell : boolean;

End FPGAIrigB6;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGAIrigB6 Is
   Component CB8RLES                                         -- ObjectKind=Part|PrimaryId=U119|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-CEO
        D0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-D0
        D1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-D1
        D2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-D2
        D3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-D3
        D4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-D4
        D5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-D5
        D6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-D6
        D7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-D7
        L   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-L
        Q0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-Q0
        Q1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-Q1
        Q2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-Q2
        Q3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-Q3
        Q4  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-Q4
        Q5  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-Q5
        Q6  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-Q6
        Q7  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-Q7
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U119-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U119-TC
      );
   End Component;

   Component FD                                              -- ObjectKind=Part|PrimaryId=U113|SecondaryId=1
      port
      (
        C : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U113-C
        D : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U113-D
        Q : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U113-Q
      );
   End Component;

   Component FDC                                             -- ObjectKind=Part|PrimaryId=U111|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U111-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U111-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U111-D
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U111-Q
      );
   End Component;

   Component FJKC                                            -- ObjectKind=Part|PrimaryId=U116|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-CLR
        J   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-J
        K   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U116-K
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U116-Q
      );
   End Component;

   Component FJKCN                                           -- ObjectKind=Part|PrimaryId=U114|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U114-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U114-CLR
        J   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U114-J
        K   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U114-K
        Q   : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U114-Q
        QN  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U114-QN
      );
   End Component;

   Component SR16REB                                         -- ObjectKind=Part|PrimaryId=U115|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U115-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U115-CE
        Q   : out STD_LOGIC_VECTOR(15 downto 0);             -- ObjectKind=Pin|PrimaryId=U115-Q[15..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U115-R
        SLI : in  STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U115-SLI
      );
   End Component;


    Signal NamedSignal_ACLK  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ACLK
    Signal NamedSignal_CNT   : STD_LOGIC_VECTOR(25 downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal PinSignal_U111_Q  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU111_Q
    Signal PinSignal_U113_Q  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU113_Q
    Signal PinSignal_U114_Q  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ACNV
    Signal PinSignal_U114_QN : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU114_QN
    Signal PinSignal_U115_Q  : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=VCXO_CTRL[15..0]
    Signal PinSignal_U116_Q  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=ACLK
    Signal PinSignal_U119_Q5 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU116_J
    Signal PinSignal_U119_TC : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU114_K
    Signal PowerSignal_GND   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    U119 : CB8RLES                                           -- ObjectKind=Part|PrimaryId=U119|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CNT(5),                            -- ObjectKind=Pin|PrimaryId=U119-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U119-CE
        D0 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U119-D0
        D1 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U119-D1
        D2 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U119-D2
        D3 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U119-D3
        D4 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U119-D4
        D5 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U119-D5
        D6 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U119-D6
        D7 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U119-D7
        L  => PinSignal_U114_QN,                             -- ObjectKind=Pin|PrimaryId=U119-L
        Q5 => PinSignal_U119_Q5,                             -- ObjectKind=Pin|PrimaryId=U119-Q5
        R  => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U119-R
        TC => PinSignal_U119_TC                              -- ObjectKind=Pin|PrimaryId=U119-TC
      );

    U116 : FJKC                                              -- ObjectKind=Part|PrimaryId=U116|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CNT(5),                           -- ObjectKind=Pin|PrimaryId=U116-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U116-CLR
        J   => PinSignal_U119_Q5,                            -- ObjectKind=Pin|PrimaryId=U116-J
        K   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U116-K
        Q   => PinSignal_U116_Q                              -- ObjectKind=Pin|PrimaryId=U116-Q
      );

    U115 : SR16REB                                           -- ObjectKind=Part|PrimaryId=U115|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_ACLK,                             -- ObjectKind=Pin|PrimaryId=U115-C
        CE  => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U115-CE
        Q   => PinSignal_U115_Q,                             -- ObjectKind=Pin|PrimaryId=U115-Q[15..0]
        R   => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U115-R
        SLI => AIN                                           -- ObjectKind=Pin|PrimaryId=U115-SLI
      );

    U114 : FJKCN                                             -- ObjectKind=Part|PrimaryId=U114|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CNT(5),                           -- ObjectKind=Pin|PrimaryId=U114-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U114-CLR
        J   => PinSignal_U113_Q,                             -- ObjectKind=Pin|PrimaryId=U114-J
        K   => PinSignal_U119_TC,                            -- ObjectKind=Pin|PrimaryId=U114-K
        Q   => PinSignal_U114_Q,                             -- ObjectKind=Pin|PrimaryId=U114-Q
        QN  => PinSignal_U114_QN                             -- ObjectKind=Pin|PrimaryId=U114-QN
      );

    U113 : FD                                                -- ObjectKind=Part|PrimaryId=U113|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CNT(5),                             -- ObjectKind=Pin|PrimaryId=U113-C
        D => PinSignal_U111_Q,                               -- ObjectKind=Pin|PrimaryId=U113-D
        Q => PinSignal_U113_Q                                -- ObjectKind=Pin|PrimaryId=U113-Q
      );

    U111 : FDC                                               -- ObjectKind=Part|PrimaryId=U111|SecondaryId=1
      Port Map
      (
        C   => START,                                        -- ObjectKind=Pin|PrimaryId=U111-C
        CLR => PinSignal_U114_Q,                             -- ObjectKind=Pin|PrimaryId=U111-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U111-D
        Q   => PinSignal_U111_Q                              -- ObjectKind=Pin|PrimaryId=U111-Q
      );

    -- Signal Assignments
    ---------------------
    ACLK             <= NamedSignal_ACLK; -- ObjectKind=Net|PrimaryId=ACLK
    ACNV             <= PinSignal_U114_Q; -- ObjectKind=Net|PrimaryId=ACNV
    NamedSignal_ACLK <= PinSignal_U116_Q; -- ObjectKind=Net|PrimaryId=ACLK
    NamedSignal_CNT  <= CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    PowerSignal_GND  <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC  <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    VCXO_CTRL        <= PinSignal_U115_Q; -- ObjectKind=Net|PrimaryId=VCXO_CTRL[15..0]

End Structure;
------------------------------------------------------------

